/* -*- coding: binary; -*- */
/*
 * Copyright (C) 2019-2023 Roger Clark, VK3KYY / G4KYF
 *
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer
 *    in the documentation and/or other materials provided with the distribution.
 *
 * 3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * 4. Use of this source code or binary releases for commercial purposes is strictly forbidden. This includes, without limitation,
 *    incorporation in a commercial product or incorporation into a product or project which allows commercial use.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */
/*
 * Translators: FEBE
 *2021.10.03
 *
 *
 */
#ifndef USER_INTERFACE_LANGUAGES_HUNGARIAN_H_
#define USER_INTERFACE_LANGUAGES_HUNGARIAN_H_
/********************************************************************
 *
 * VERY IMPORTANT.
 * This file should not be saved with UTF-8 encoding
 * Use Notepad++ on Windows with ANSI encoding
 * or emacs on Linux with windows-1252-unix encoding
 *
 ********************************************************************/
const stringsTable_t hungarianLanguage=
{
.LANGUAGE_NAME				= "Magyar",
.menu					= "Men",
.credits				= "Fejlesztk",
.zone					= "Zna vlaszts",
.rssi					= "RF jelszint",
.battery				= "Akkumltor",
.contacts				= "Kapcsolatok",
.last_heard				= "Utols hallott",
.firmware_info				= "Firmware-rl",
.options				= "Belltsok",
.display_options			= "Kijelz bell.",
.sound_options				= "Hangok bell.",
.channel_details			= "Csatorna bell.",
.language				= "Nyelvezet",
.new_contact				= "j kapcsolat",
.dmr_contacts				= "DMR kapcsolatok",
.contact_details			= "Kapcsolat",
.hotspot_mode				= "Hotspot",
.built					= "sszelltva",
.zones					= "Znk lista",
.keypad					= "Billenyt",
.ptt					= "PTT",
.locked					= "lezrva",
.press_blue_plus_star			= "Bal als gomb+*",
.to_unlock				= "felolds",
.unlocked				= "Feloldva",
.power_off				= "KIKAPCSOLS",
.error					= "HIBA !",
.rx_only				= "Csak vtel!",
.out_of_band				= "SVON KVL",
.timeout				= "TX VGE",
.tg_entry				= "Belps TG",
.pc_entry				= "Belps ID",
.user_dmr_id				= "Sajt DMR ID",
.contact				= "Kapcsolat",
.accept_call				= "Fogadja a hvst?",
.private_call				= "Privt hvs",
.squelch				= "Zajzr",
.quick_menu				= "Gyorsmen",
.filter					= "Szr",
.all_channels				= "sszes csat.",
.gotoChannel				= "Ugrs csatorna",
.scan					= "Jel keress",
.channelToVfo				= "Csatorna -> VFO",
.vfoToChannel				= "VFO -> Csatorna",
.vfoToNewChannel			= "VFO -> j csat.",
.group					= "csoport",
.private				= "Magn",
.all					= "Mind",
.type					= "Tpus",
.timeSlot				= "TS idrs",
.none					= "Nincs",
.contact_saved				= "Kapcsolat mentve",
.duplicate				= "Van mr",
.tg					= "TG",
.pc					= "ID",
.ts					= "TS",
.mode					= "Md",
.colour_code				= "CC sznk.",
.n_a					= "Nincs",
.bandwidth				= "Svszl.",
.stepFreq				= "Lps",
.tot					= "TOT adsid",
.off					= "Ki",
.zone_skip				= "Zn.kihagy",
.all_skip				= "Mindig kihagy",
.yes					= "Igen",
.no					= "Nem",
.rx_group				= "RX csop",
.on					= "Be",
.timeout_beep				= "TOT jelzs",
.list_full				= "Teljes lista",
.dmr_cc_scan				= "CC keress",
.band_limits				= "Sv limit",
.beep_volume				= "Bip szint",
.dmr_mic_gain				= "DMR mikr.",
.fm_mic_gain				= "FM mikr.",
.key_long				= "Hossz.bill.",
.key_repeat				= "Bill. ism.",
.dmr_filter_timeout			= "Szr ksl.",
.brightness				= "Fnyer",
.brightness_off				= "Min.fnyer",
.contrast				= "Kontraszt",
.colour_invert				= "Inverz",
.colour_normal				= "Norml",
.backlight_timeout			= "Kijelz id",
.scan_delay				= "Keres.ksl.",
.yes___in_uppercase			= "IGEN",
.no___in_uppercase			= "NEM",
.DISMISS				= "ELUTAST",
.scan_mode				= "Keres.md",
.hold					= "Tart",
.pause					= "Sznet",
.empty_list				= "res lista",
.delete_contact_qm			= "Trli kapcs.ot?",
.contact_deleted			= "Kapcs. trlve",
.contact_used				= "Hasznlt kapcs.",
.in_rx_group				= "Lista TG/ID",
.select_tx				= "Vlaszt TX",
.edit_contact				= "Kapcsolat szerk.",
.delete_contact				= "Kapcs. trls",
.group_call				= "Csoport hvs",
.all_call				= "sszes hvs",
.tone_scan				= "TONE ker.",
.low_battery				= "AKKU LEMERLT",
.Auto					= "Auto",
.manual					= "Kzi",
.ptt_toggle				= "Marad PTT",
.private_call_handling			= "PC lehet.",
.stop					= "Stop",
.one_line				= "1 sor",
.two_lines				= "2 sor",
.new_channel				= "j csatorna",
.priority_order				= "Prior.",
.dmr_beep				= "DMR ads",
.start					= "Start",
.both					= "Mind",
.vox_threshold				= "VOX kszb",
.vox_tail				= "VOX tarts",
.audio_prompt				= "Segd",
.silent					= "Nincs",
.rx_beep				= "RX beep", // MaxLen 16 (with ':' + .carrier/.talker/.both/.none)
.beep					= "Bip",
.voice_prompt_level_1			= "Hang",
.transmitTalkerAliasTS1			= "TA tovbbt 1",
.squelch_VHF				= "Zajzr VHF",
.squelch_220				= "Zajzr 220",
.squelch_UHF				= "Zajzr UHF",
.display_background_colour 		= "Pixelek" ,
.openGD77 				= "OpenGD77",
.openGD77S 				= "OpenGD77S",
.openDM1801 				= "OpenDM1801",
.openRD5R 				= "OpenRD5R",
.gitCommit				= "Git commit",
.voice_prompt_level_2			= "Hang 2",
.voice_prompt_level_3			= "Hang 3",
.dmr_filter				= "DMR szr",
.talker					= "Talker",
.dmr_ts_filter				= "TS szr",
.dtmf_contact_list			= "DTMF kapcsolatok",
.channel_power				= "Csat.telj",
.from_master				= "Master",
.set_quickkey				= "Gyorsgomb bell.",
.dual_watch				= "Dual Watch",
.info					= "Inform.",
.pwr					= "Telj.",
.user_power				= "+W- telj.",
.temperature				= "Hmrsklet",
.celcius				= "C",
.seconds				= "mp-ek",
.radio_info				= "Rdi inf",
.temperature_calibration		= "Hm.kal.",
.pin_code				= "PinKd",
.please_confirm				= "Megersts",
.vfo_freq_bind_mode			= "Frekv.msols",
.overwrite_qm				= "Fellrja?",
.eco_level				= "Takarkossg",
.buttons				= "Gombok",
.leds					= "LED",
.scan_dwell_time			= "Ker.vr.id",
.battery_calibration			= "Akku kal.",
.low					= "Alacsony",
.high					= "Magas",
.dmr_id					= "ID DMR",
.scan_on_boot				= "Ker.ind.kor",
.dtmf_entry				= "DTMF klds",
.name					= "Nv",
.carrier				= "Carrier",
.openDM1801A 				= "OpenDM1801A",
.time					= "Id, md",
.uptime					= "zemid",
.hours					= "rk",
.minutes				= "Percek",
.satellite				= "Mhold",
.alarm_time				= "Riaszts id",
.location				= "Elhelyezkeds",
.date					= "Dtum",
.timeZone				= "Idzna",
.suspend				= "Felfggeszt",
.pass					= "Pass",
.elevation				= "El",
.azimuth				= "Az",
.inHHMMSS				= "in",
.predicting				= "Elrejelzs",
.maximum				= "Max",
.satellite_short			= "Kv. SAT",
.local					= "Helyi",
.UTC					= "UTC",
.symbols				= "DKN", 		// symbols: N,S,E,W
.not_set				= "NINCS BELLTVA",
.general_options			= "ltalnos",
.radio_options				= "Rdi bell.",
.openMD9600				= "OpenMD9600",
.dmr_rx_agc				= "DMR Rx AGC",
.speaker_click_suppress			= "Katt.elnyom",
.gps					= "GPS",
.end_only				= "Vgn",
.dmr_crc				= "DMR crc",
.eco					= "Takarkos",
.safe_power_on				= "Bizt.BEkapcs.", // MaxLen: 16 (with ':' + .on or .off)
.auto_power_off				= "AUto LEkapcs", // MaxLen: 16 (with ':' + 30/60/90/120/180 or .no)
.apo_with_rf				= "AULE RF-el", // MaxLen: 16 (with ':' + .yes or .no or .n_a)
.openMDUV380			= "OpenMDUV380",
.openMD380				= "OpenMD380",
.gps_acquiring			= "Acquiring", 
.altitude				= "Alt",
.calibration            = "Radio Calibration",
.freq_set                = "Freq Adjust",
.cal_frequency          = "Cal Freq",
.cal_pwr                = "Cal Power",
.pwr_set                = "Power Adjust",
.factory_reset          = "Factory Cal",
.rx_tune				= "Rx Tuning",
.transmitTalkerAliasTS2	= "TA Tx TS2", // Maxlen 16 (with : + .ta_text, 'APRS' , .both or .off)
.ta_text				= "Text",
};
/********************************************************************
 *
 * VERY IMPORTANT.
 * This file should not be saved with UTF-8 encoding
 * Use Notepad++ on Windows with ANSI encoding
 * or emacs on Linux with windows-1252-unix encoding
 *
 ********************************************************************/
#endif /* USER_INTERFACE_LANGUAGES_HUNGARIAN_H_ */
