/*
 * Copyright (C) 2019-2023 Roger Clark, VK3KYY / G4KYF
 *                         Daniel Caujolle-Bert, F1RMB
 *
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer
 *    in the documentation and/or other materials provided with the distribution.
 *
 * 3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * 4. Use of this source code or binary releases for commercial purposes is strictly forbidden. This includes, without limitation,
 *    incorporation in a commercial product or incorporation into a product or project which allows commercial use.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

#ifndef _OPENGD77_UC1701_CHARSET_H_
#define _OPENGD77_UC1701_CHARSET_H_

#if defined(BUILD_FONT_TOOL) || defined(CHAR_CONSTANTS_ONLY)

#define CHARS_PER_FONT 224

//                                                 DEC         OCT
//                                               +----+-----+------+
//                                               |    |     |      |
#define FONT_CHAR_KANA_FULL_STOP                   161 // ｡    \241
#define FONT_CHAR_KANA_QUOTATION_MARK_OPENING      162 // ｢    \242
#define FONT_CHAR_KANA_QUOTATION_MARK_CLOSING      163 // ｣    \243
#define FONT_CHAR_KANA_TOTEN                       164 // ､    \244
#define FONT_CHAR_KANA_INTERPUNCT                  165 // ･    \245
#define FONT_CHAR_KANA_WO                          166 // ｦ    \246
#define FONT_CHAR_KANA_SMALL_A                     167 // ｧ    \247
#define FONT_CHAR_KANA_SMALL_I                     168 // ｨ    \250
#define FONT_CHAR_KANA_SMALL_U                     169 // ｩ    \251
#define FONT_CHAR_KANA_SMALL_E                     170 // ｪ    \252
#define FONT_CHAR_KANA_SMALL_O                     171 // ｫ    \253
#define FONT_CHAR_KANA_SMALL_YA                    172 // ｬ    \254
#define FONT_CHAR_KANA_SMALL_YU                    173 // ｭ    \255
#define FONT_CHAR_KANA_SMALL_YO                    174 // ｮ    \256
#define FONT_CHAR_KANA_SOKUON                      175 // ｯ    \257
#define FONT_CHAR_KANA_CHOONPU                     160 // ｰ    \240
#define FONT_CHAR_KANA_CAPITAL_A                   177 // ｱ    \261
#define FONT_CHAR_KANA_CAPITAL_I                   178 // ｲ    \262
#define FONT_CHAR_KANA_CAPITAL_U                   179 // ｳ    \263
#define FONT_CHAR_KANA_CAPITAL_E                   180 // ｴ    \264
#define FONT_CHAR_KANA_CAPITAL_O                   181 // ｵ    \265
#define FONT_CHAR_KANA_KA                          182 // ｶ    \266
#define FONT_CHAR_KANA_KI                          183 // ｷ    \267
#define FONT_CHAR_KANA_KU                          184 // ｸ    \270
#define FONT_CHAR_KANA_KE                          185 // ｹ    \271
#define FONT_CHAR_KANA_KO                          186 // ｺ    \272
#define FONT_CHAR_KANA_SA                          187 // ｻ    \273
#define FONT_CHAR_KANA_SHI                         188 // ｼ    \274
#define FONT_CHAR_KANA_SU                          189 // ｽ    \275
#define FONT_CHAR_KANA_SE                          190 // ｾ    \276
#define FONT_CHAR_KANA_SO                          191 // ｿ    \277
#define FONT_CHAR_KANA_TA                          192 // ﾀ    \300
#define FONT_CHAR_KANA_CHI                         193 // ﾁ    \301
#define FONT_CHAR_KANA_TSU                         194 // ﾂ    \302
#define FONT_CHAR_KANA_TE                          195 // ﾃ    \303
#define FONT_CHAR_KANA_TO                          196 // ﾄ    \304
#define FONT_CHAR_KANA_NA                          197 // ﾅ    \305
#define FONT_CHAR_KANA_NI                          198 // ﾆ    \306
#define FONT_CHAR_KANA_NU                          199 // ﾇ    \307
#define FONT_CHAR_KANA_NE                          200 // ﾈ    \310
#define FONT_CHAR_KANA_NO                          201 // ﾉ    \311
#define FONT_CHAR_KANA_HA                          202 // ﾊ    \312
#define FONT_CHAR_KANA_HI                          203 // ﾋ    \313
#define FONT_CHAR_KANA_FU                          204 // ﾌ    \314
#define FONT_CHAR_KANA_HE                          205 // ﾍ    \315
#define FONT_CHAR_KANA_HO                          206 // ﾎ    \316
#define FONT_CHAR_KANA_MA                          207 // ﾏ    \317
#define FONT_CHAR_KANA_MI                          208 // ﾐ    \320
#define FONT_CHAR_KANA_MU                          209 // ﾑ    \321
#define FONT_CHAR_KANA_ME                          210 // ﾒ    \322
#define FONT_CHAR_KANA_MO                          211 // ﾓ    \323
#define FONT_CHAR_KANA_YA                          212 // ﾔ    \324
#define FONT_CHAR_KANA_YU                          213 // ﾕ    \325
#define FONT_CHAR_KANA_YO                          214 // ﾖ    \326
#define FONT_CHAR_KANA_RA                          215 // ﾗ    \327
#define FONT_CHAR_KANA_RI                          216 // ﾘ    \330
#define FONT_CHAR_KANA_RU                          217 // ﾙ    \331
#define FONT_CHAR_KANA_RE                          218 // ﾚ    \332
#define FONT_CHAR_KANA_RO                          219 // ﾛ    \333
#define FONT_CHAR_KANA_WA                          220 // ﾜ    \334
#define FONT_CHAR_KANA_N                           221 // ﾝ    \335
#define FONT_CHAR_KANA_DAKUTEN                     222 // ﾞ    \336
#define FONT_CHAR_KANA_HANDAKUTEN                  223 // ﾟ    \337

// This is the list of excluded characters offsets
uint8_t freePositions[] = {
     138, 142, 154, 158, 159,
     127, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 139, 140, 141, 143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 155, 156, 157,
     224, 225, 226, 227, 228, 229, 230, 231, 232, 233, 234, 235, 236, 237, 238, 239, 240, 241, 242, 243, 244, 245, 246, 247, 248, 249, 250, 251,
     252, 253, 254, 255
};

struct
{
     uint32_t   offset;
     uint8_t    offsetName[48];
     uint8_t    character[5];
     uint8_t    octal;
} char_hand_assigned[] = {
	{ FONT_CHAR_KANA_FULL_STOP,               "FONT_CHAR_KANA_FULL_STOP",               { "｡" }, '\241' }, // ｡
	{ FONT_CHAR_KANA_QUOTATION_MARK_OPENING,  "FONT_CHAR_KANA_QUOTATION_MARK_OPENING",  { "｢" }, '\242' }, // ｢
	{ FONT_CHAR_KANA_QUOTATION_MARK_CLOSING,  "FONT_CHAR_KANA_QUOTATION_MARK_CLOSING",  { "｣" }, '\243' }, // ｣
	{ FONT_CHAR_KANA_TOTEN,                   "FONT_CHAR_KANA_TOTEN",                   { "､" }, '\244' }, // ､
	{ FONT_CHAR_KANA_INTERPUNCT,              "FONT_CHAR_KANA_INTERPUNCT",              { "･" }, '\245' }, // ･
	{ FONT_CHAR_KANA_WO,                      "FONT_CHAR_KANA_WO",                      { "ｦ" }, '\246' }, // ｦ
	{ FONT_CHAR_KANA_SMALL_A,                 "FONT_CHAR_KANA_SMALL_A",                 { "ｧ" }, '\247' }, // ｧ
	{ FONT_CHAR_KANA_SMALL_I,                 "FONT_CHAR_KANA_SMALL_I",                 { "ｨ" }, '\250' }, // ｨ
	{ FONT_CHAR_KANA_SMALL_U,                 "FONT_CHAR_KANA_SMALL_U",                 { "ｩ" }, '\251' }, // ｩ
	{ FONT_CHAR_KANA_SMALL_E,                 "FONT_CHAR_KANA_SMALL_E",                 { "ｪ" }, '\252' }, // ｪ
	{ FONT_CHAR_KANA_SMALL_O,                 "FONT_CHAR_KANA_SMALL_O",                 { "ｫ" }, '\253' }, // ｫ
	{ FONT_CHAR_KANA_SMALL_YA,                "FONT_CHAR_KANA_SMALL_YA",                { "ｬ" }, '\254' }, // ｬ
	{ FONT_CHAR_KANA_SMALL_YU,                "FONT_CHAR_KANA_SMALL_YU",                { "ｭ" }, '\255' }, // ｭ
	{ FONT_CHAR_KANA_SMALL_YO,                "FONT_CHAR_KANA_SMALL_YO",                { "ｮ" }, '\256' }, // ｮ
	{ FONT_CHAR_KANA_SOKUON,                  "FONT_CHAR_KANA_SOKUON",                  { "ｯ" }, '\257' }, // ｯ
	{ FONT_CHAR_KANA_CHOONPU,                 "FONT_CHAR_KANA_CHOONPU",                 { "ｰ" }, '\240' }, // ｰ
	{ FONT_CHAR_KANA_CAPITAL_A,               "FONT_CHAR_KANA_CAPITAL_A",               { "ｱ" }, '\261' }, // ｱ
	{ FONT_CHAR_KANA_CAPITAL_I,               "FONT_CHAR_KANA_CAPITAL_I",               { "ｲ" }, '\262' }, // ｲ
	{ FONT_CHAR_KANA_CAPITAL_U,               "FONT_CHAR_KANA_CAPITAL_U",               { "ｳ" }, '\263' }, // ｳ
	{ FONT_CHAR_KANA_CAPITAL_E,               "FONT_CHAR_KANA_CAPITAL_E",               { "ｴ" }, '\264' }, // ｴ
	{ FONT_CHAR_KANA_CAPITAL_O,               "FONT_CHAR_KANA_CAPITAL_O",               { "ｵ" }, '\265' }, // ｵ
	{ FONT_CHAR_KANA_KA,                      "FONT_CHAR_KANA_KA",                      { "ｶ" }, '\266' }, // ｶ
	{ FONT_CHAR_KANA_KI,                      "FONT_CHAR_KANA_KI",                      { "ｷ" }, '\267' }, // ｷ
	{ FONT_CHAR_KANA_KU,                      "FONT_CHAR_KANA_KU",                      { "ｸ" }, '\270' }, // ｸ
	{ FONT_CHAR_KANA_KE,                      "FONT_CHAR_KANA_KE",                      { "ｹ" }, '\271' }, // ｹ
	{ FONT_CHAR_KANA_KO,                      "FONT_CHAR_KANA_KO",                      { "ｺ" }, '\272' }, // ｺ
	{ FONT_CHAR_KANA_SA,                      "FONT_CHAR_KANA_SA",                      { "ｻ" }, '\273' }, // ｻ
	{ FONT_CHAR_KANA_SHI,                     "FONT_CHAR_KANA_SHI",                     { "ｼ" }, '\274' }, // ｼ
	{ FONT_CHAR_KANA_SU,                      "FONT_CHAR_KANA_SU",                      { "ｽ" }, '\275' }, // ｽ
	{ FONT_CHAR_KANA_SE,                      "FONT_CHAR_KANA_SE",                      { "ｾ" }, '\276' }, // ｾ
	{ FONT_CHAR_KANA_SO,                      "FONT_CHAR_KANA_SO",                      { "ｿ" }, '\277' }, // ｿ
	{ FONT_CHAR_KANA_TA,                      "FONT_CHAR_KANA_TA",                      { "ﾀ" }, '\300' }, // ﾀ
	{ FONT_CHAR_KANA_CHI,                     "FONT_CHAR_KANA_CHI",                     { "ﾁ" }, '\301' }, // ﾁ
	{ FONT_CHAR_KANA_TSU,                     "FONT_CHAR_KANA_TSU",                     { "ﾂ" }, '\302' }, // ﾂ
	{ FONT_CHAR_KANA_TE,                      "FONT_CHAR_KANA_TE",                      { "ﾃ" }, '\303' }, // ﾃ
	{ FONT_CHAR_KANA_TO,                      "FONT_CHAR_KANA_TO",                      { "ﾄ" }, '\304' }, // ﾄ
	{ FONT_CHAR_KANA_NA,                      "FONT_CHAR_KANA_NA",                      { "ﾅ" }, '\305' }, // ﾅ
	{ FONT_CHAR_KANA_NI,                      "FONT_CHAR_KANA_NI",                      { "ﾆ" }, '\306' }, // ﾆ
	{ FONT_CHAR_KANA_NU,                      "FONT_CHAR_KANA_NU",                      { "ﾇ" }, '\307' }, // ﾇ
	{ FONT_CHAR_KANA_NE,                      "FONT_CHAR_KANA_NE",                      { "ﾈ" }, '\310' }, // ﾈ
	{ FONT_CHAR_KANA_NO,                      "FONT_CHAR_KANA_NO",                      { "ﾉ" }, '\311' }, // ﾉ
	{ FONT_CHAR_KANA_HA,                      "FONT_CHAR_KANA_HA",                      { "ﾊ" }, '\312' }, // ﾊ
	{ FONT_CHAR_KANA_HI,                      "FONT_CHAR_KANA_HI",                      { "ﾋ" }, '\313' }, // ﾋ
	{ FONT_CHAR_KANA_FU,                      "FONT_CHAR_KANA_FU",                      { "ﾌ" }, '\314' }, // ﾌ
	{ FONT_CHAR_KANA_HE,                      "FONT_CHAR_KANA_HE",                      { "ﾍ" }, '\315' }, // ﾍ
	{ FONT_CHAR_KANA_HO,                      "FONT_CHAR_KANA_HO",                      { "ﾎ" }, '\316' }, // ﾎ
	{ FONT_CHAR_KANA_MA,                      "FONT_CHAR_KANA_MA",                      { "ﾏ" }, '\317' }, // ﾏ
	{ FONT_CHAR_KANA_MI,                      "FONT_CHAR_KANA_MI",                      { "ﾐ" }, '\320' }, // ﾐ
	{ FONT_CHAR_KANA_MU,                      "FONT_CHAR_KANA_MU",                      { "ﾑ" }, '\321' }, // ﾑ
	{ FONT_CHAR_KANA_ME,                      "FONT_CHAR_KANA_ME",                      { "ﾒ" }, '\322' }, // ﾒ
	{ FONT_CHAR_KANA_MO,                      "FONT_CHAR_KANA_MO",                      { "ﾓ" }, '\323' }, // ﾓ
	{ FONT_CHAR_KANA_YA,                      "FONT_CHAR_KANA_YA",                      { "ﾔ" }, '\324' }, // ﾔ
	{ FONT_CHAR_KANA_YU,                      "FONT_CHAR_KANA_YU",                      { "ﾕ" }, '\325' }, // ﾕ
	{ FONT_CHAR_KANA_YO,                      "FONT_CHAR_KANA_YO",                      { "ﾖ" }, '\326' }, // ﾖ
	{ FONT_CHAR_KANA_RA,                      "FONT_CHAR_KANA_RA",                      { "ﾗ" }, '\327' }, // ﾗ
	{ FONT_CHAR_KANA_RI,                      "FONT_CHAR_KANA_RI",                      { "ﾘ" }, '\330' }, // ﾘ
	{ FONT_CHAR_KANA_RU,                      "FONT_CHAR_KANA_RU",                      { "ﾙ" }, '\331' }, // ﾙ
	{ FONT_CHAR_KANA_RE,                      "FONT_CHAR_KANA_RE",                      { "ﾚ" }, '\332' }, // ﾚ
	{ FONT_CHAR_KANA_RO,                      "FONT_CHAR_KANA_RO",                      { "ﾛ" }, '\333' }, // ﾛ
	{ FONT_CHAR_KANA_WA,                      "FONT_CHAR_KANA_WA",                      { "ﾜ" }, '\334' }, // ﾜ
	{ FONT_CHAR_KANA_N,                       "FONT_CHAR_KANA_N",                       { "ﾝ" }, '\335' }, // ﾝ
	{ FONT_CHAR_KANA_DAKUTEN,                 "FONT_CHAR_KANA_DAKUTEN",                 { "ﾞ" }, '\336' }, // ﾞ
	{ FONT_CHAR_KANA_HANDAKUTEN,              "FONT_CHAR_KANA_HANDAKUTEN",              { "ﾟ" }, '\337' }  // ﾟ
};
#endif // BUILD_FONT_TOOL || CHAR_CONSTANTS_ONLY

#if ! defined(CHAR_CONSTANTS_ONLY)

#if ! defined(PLATFORM_GD77S)

const uint8_t font_6x8[] = {
   0x00, 0x00, // Ignored.
   32        , // first char ASCII code.
   255       , // last char ASCII code.
   6         , // width of the character in pixels.
   8         , // height of the character in pixels.
   1         , // number of line of bytes per character.
   6         , // bytes per character (normally width * height / 8).
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 32] ' '
   0x00, 0x00, 0x5f, 0x00, 0x00, 0x00, // [ 33] '!'
   0x00, 0x07, 0x00, 0x07, 0x00, 0x00, // [ 34] '"'
   0x14, 0x7f, 0x14, 0x7f, 0x14, 0x00, // [ 35] '#'
   0x24, 0x2a, 0x7f, 0x2a, 0x12, 0x00, // [ 36] '$'
   0x23, 0x13, 0x08, 0x64, 0x62, 0x00, // [ 37] '%'
   0x36, 0x49, 0x55, 0x22, 0x50, 0x00, // [ 38] '&'
   0x00, 0x05, 0x03, 0x00, 0x00, 0x00, // [ 39] '''
   0x00, 0x1c, 0x22, 0x41, 0x00, 0x00, // [ 40] '('
   0x00, 0x41, 0x22, 0x1c, 0x00, 0x00, // [ 41] ')'
   0x14, 0x08, 0x3e, 0x08, 0x14, 0x00, // [ 42] '*'
   0x08, 0x08, 0x3e, 0x08, 0x08, 0x00, // [ 43] '+'
   0x00, 0x50, 0x30, 0x00, 0x00, 0x00, // [ 44] ','
   0x08, 0x08, 0x08, 0x08, 0x08, 0x00, // [ 45] '-'
   0x00, 0x60, 0x60, 0x00, 0x00, 0x00, // [ 46] '.'
   0x20, 0x10, 0x08, 0x04, 0x02, 0x00, // [ 47] '/'
   0x3e, 0x51, 0x49, 0x45, 0x3e, 0x00, // [ 48] '0'
   0x00, 0x42, 0x7f, 0x40, 0x00, 0x00, // [ 49] '1'
   0x42, 0x61, 0x51, 0x49, 0x46, 0x00, // [ 50] '2'
   0x21, 0x41, 0x45, 0x4b, 0x31, 0x00, // [ 51] '3'
   0x18, 0x14, 0x12, 0x7f, 0x10, 0x00, // [ 52] '4'
   0x27, 0x45, 0x45, 0x45, 0x39, 0x00, // [ 53] '5'
   0x3c, 0x4a, 0x49, 0x49, 0x30, 0x00, // [ 54] '6'
   0x01, 0x71, 0x09, 0x05, 0x03, 0x00, // [ 55] '7'
   0x36, 0x49, 0x49, 0x49, 0x36, 0x00, // [ 56] '8'
   0x06, 0x49, 0x49, 0x29, 0x1e, 0x00, // [ 57] '9'
   0x00, 0x36, 0x36, 0x00, 0x00, 0x00, // [ 58] ':'
   0x00, 0x56, 0x36, 0x00, 0x00, 0x00, // [ 59] ';'
   0x08, 0x14, 0x22, 0x41, 0x00, 0x00, // [ 60] '<'
   0x14, 0x14, 0x14, 0x14, 0x14, 0x00, // [ 61] '='
   0x00, 0x41, 0x22, 0x14, 0x08, 0x00, // [ 62] '>'
   0x02, 0x01, 0x51, 0x09, 0x06, 0x00, // [ 63] '?'
   0x3e, 0x41, 0x4f, 0x49, 0x26, 0x00, // [ 64] '@'
   0x7e, 0x11, 0x11, 0x11, 0x7e, 0x00, // [ 65] 'A'
   0x7f, 0x49, 0x49, 0x49, 0x36, 0x00, // [ 66] 'B'
   0x3e, 0x41, 0x41, 0x41, 0x22, 0x00, // [ 67] 'C'
   0x7f, 0x41, 0x41, 0x22, 0x1c, 0x00, // [ 68] 'D'
   0x7f, 0x49, 0x49, 0x49, 0x41, 0x00, // [ 69] 'E'
   0x7f, 0x09, 0x09, 0x09, 0x01, 0x00, // [ 70] 'F'
   0x3e, 0x41, 0x49, 0x49, 0x7a, 0x00, // [ 71] 'G'
   0x7f, 0x08, 0x08, 0x08, 0x7f, 0x00, // [ 72] 'H'
   0x00, 0x41, 0x7f, 0x41, 0x00, 0x00, // [ 73] 'I'
   0x20, 0x40, 0x41, 0x3f, 0x01, 0x00, // [ 74] 'J'
   0x7f, 0x08, 0x14, 0x22, 0x41, 0x00, // [ 75] 'K'
   0x7f, 0x40, 0x40, 0x40, 0x40, 0x00, // [ 76] 'L'
   0x7f, 0x02, 0x0c, 0x02, 0x7f, 0x00, // [ 77] 'M'
   0x7f, 0x04, 0x08, 0x10, 0x7f, 0x00, // [ 78] 'N'
   0x3e, 0x41, 0x41, 0x41, 0x3e, 0x00, // [ 79] 'O'
   0x7f, 0x09, 0x09, 0x09, 0x06, 0x00, // [ 80] 'P'
   0x3e, 0x41, 0x51, 0x21, 0x5e, 0x00, // [ 81] 'Q'
   0x7f, 0x09, 0x19, 0x29, 0x46, 0x00, // [ 82] 'R'
   0x46, 0x49, 0x49, 0x49, 0x31, 0x00, // [ 83] 'S'
   0x01, 0x01, 0x7f, 0x01, 0x01, 0x00, // [ 84] 'T'
   0x3f, 0x40, 0x40, 0x40, 0x3f, 0x00, // [ 85] 'U'
   0x03, 0x1c, 0x60, 0x1c, 0x03, 0x00, // [ 86] 'V'
   0x3f, 0x40, 0x38, 0x40, 0x3f, 0x00, // [ 87] 'W'
   0x63, 0x14, 0x08, 0x14, 0x63, 0x00, // [ 88] 'X'
   0x07, 0x08, 0x70, 0x08, 0x07, 0x00, // [ 89] 'Y'
   0x61, 0x51, 0x49, 0x45, 0x43, 0x00, // [ 90] 'Z'
   0x00, 0x7f, 0x41, 0x41, 0x00, 0x00, // [ 91] '['
   0x02, 0x04, 0x08, 0x10, 0x20, 0x00, // [ 92] '\'
   0x00, 0x41, 0x41, 0x7f, 0x00, 0x00, // [ 93] ']'
   0x04, 0x02, 0x01, 0x02, 0x04, 0x00, // [ 94] '^'
   0x40, 0x40, 0x40, 0x40, 0x40, 0x00, // [ 95] '_'
   0x00, 0x01, 0x02, 0x04, 0x00, 0x00, // [ 96] '`'
   0x20, 0x54, 0x54, 0x54, 0x78, 0x00, // [ 97] 'a'
   0x7f, 0x48, 0x44, 0x44, 0x38, 0x00, // [ 98] 'b'
   0x38, 0x44, 0x44, 0x44, 0x20, 0x00, // [ 99] 'c'
   0x38, 0x44, 0x44, 0x48, 0x7f, 0x00, // [100] 'd'
   0x38, 0x54, 0x54, 0x54, 0x18, 0x00, // [101] 'e'
   0x08, 0x7e, 0x09, 0x01, 0x02, 0x00, // [102] 'f'
   0x0c, 0x52, 0x52, 0x52, 0x3e, 0x00, // [103] 'g'
   0x7f, 0x08, 0x04, 0x04, 0x78, 0x00, // [104] 'h'
   0x00, 0x44, 0x7d, 0x40, 0x00, 0x00, // [105] 'i'
   0x20, 0x40, 0x44, 0x3d, 0x00, 0x00, // [106] 'j'
   0x7f, 0x10, 0x28, 0x44, 0x00, 0x00, // [107] 'k'
   0x00, 0x41, 0x7f, 0x40, 0x00, 0x00, // [108] 'l'
   0x7c, 0x04, 0x18, 0x04, 0x78, 0x00, // [109] 'm'
   0x7c, 0x08, 0x04, 0x04, 0x78, 0x00, // [110] 'n'
   0x38, 0x44, 0x44, 0x44, 0x38, 0x00, // [111] 'o'
   0x7c, 0x14, 0x14, 0x14, 0x08, 0x00, // [112] 'p'
   0x08, 0x14, 0x14, 0x18, 0x7c, 0x00, // [113] 'q'
   0x7c, 0x08, 0x04, 0x04, 0x08, 0x00, // [114] 'r'
   0x48, 0x54, 0x54, 0x54, 0x20, 0x00, // [115] 's'
   0x04, 0x3f, 0x44, 0x40, 0x20, 0x00, // [116] 't'
   0x3c, 0x40, 0x40, 0x20, 0x7c, 0x00, // [117] 'u'
   0x1c, 0x20, 0x40, 0x20, 0x1c, 0x00, // [118] 'v'
   0x3c, 0x40, 0x30, 0x40, 0x3c, 0x00, // [119] 'w'
   0x44, 0x28, 0x10, 0x28, 0x44, 0x00, // [120] 'x'
   0x0c, 0x50, 0x50, 0x50, 0x3c, 0x00, // [121] 'y'
   0x44, 0x64, 0x54, 0x4c, 0x44, 0x00, // [122] 'z'
   0x00, 0x08, 0x36, 0x41, 0x00, 0x00, // [123] '{'
   0x00, 0x00, 0x7f, 0x00, 0x00, 0x00, // [124] '|'
   0x00, 0x41, 0x36, 0x08, 0x00, 0x00, // [125] '}'
   0x10, 0x08, 0x08, 0x10, 0x08, 0x00, // [126] '~'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [127] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [128] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [129] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [130] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [131] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [132] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [133] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [134] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [135] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [136] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [137] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [138] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [139] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [140] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [141] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [142] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [143] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [144] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [145] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [146] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [147] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [148] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [149] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [150] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [151] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [152] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [153] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [154] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [155] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [156] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [157] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [158] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [159] 'FREE'
   0x00, 0x08, 0x08, 0x08, 0x08, 0x00, // [160] '*ｰ'
   0xe0, 0xa0, 0xe0, 0x00, 0x00, 0x00, // [161] '*｡'
   0x00, 0x00, 0x00, 0xfe, 0x02, 0x02, // [162] '*｢'
   0x80, 0x80, 0xfe, 0x00, 0x00, 0x00, // [163] '*｣'
   0x20, 0x40, 0x80, 0x00, 0x00, 0x00, // [164] '*､'
   0x00, 0x00, 0x38, 0x38, 0x00, 0x00, // [165] '*･'
   0x0a, 0x0a, 0x8a, 0x8a, 0x4a, 0x3e, // [166] '*ｦ'
   0x88, 0x68, 0x28, 0x18, 0x00, 0x00, // [167] '*ｧ'
   0x40, 0x20, 0xf0, 0x08, 0x00, 0x00, // [168] '*ｨ'
   0x30, 0x90, 0x98, 0x70, 0x00, 0x00, // [169] '*ｩ'
   0x90, 0x90, 0xf0, 0x90, 0x00, 0x00, // [170] '*ｪ'
   0x90, 0x50, 0xf8, 0x10, 0x00, 0x00, // [171] '*ｫ'
   0x10, 0xf8, 0x10, 0x30, 0x00, 0x00, // [172] '*ｬ'
   0x88, 0x88, 0xf8, 0x80, 0x00, 0x00, // [173] '*ｭ'
   0xa8, 0xa8, 0xa8, 0xf8, 0x00, 0x00, // [174] '*ｮ'
   0xb8, 0x80, 0xb8, 0x80, 0x78, 0x00, // [175] '*ｯ'
   0x00, 0x06, 0x09, 0x09, 0x06, 0x00, // [176] '°'
   0x02, 0x02, 0x82, 0x72, 0x0a, 0x06, // [177] '*ｱ'
   0x40, 0x20, 0x10, 0xf8, 0x04, 0x02, // [178] '*ｲ'
   0x0c, 0x84, 0x84, 0x86, 0x44, 0x3c, // [179] '*ｳ'
   0x82, 0x82, 0x82, 0xfe, 0x82, 0x82, // [180] '*ｴ'
   0x44, 0x24, 0x14, 0xfe, 0x04, 0x04, // [181] '*ｵ'
   0x04, 0xc4, 0x34, 0x0e, 0x84, 0x7c, // [182] '*ｶ'
   0x14, 0x14, 0x14, 0xfe, 0x14, 0x14, // [183] '*ｷ'
   0x10, 0x88, 0x84, 0x42, 0x22, 0x1e, // [184] '*ｸ'
   0x08, 0x04, 0x86, 0x7c, 0x04, 0x04, // [185] '*ｹ'
   0x82, 0x82, 0x82, 0x82, 0x82, 0xfe, // [186] '*ｺ'
   0x04, 0x1e, 0x84, 0x84, 0x7e, 0x04, // [187] '*ｻ'
   0x8a, 0x8a, 0x8a, 0x80, 0x40, 0x3e, // [188] '*ｼ'
   0x82, 0x42, 0x22, 0x32, 0x4a, 0x86, // [189] '*ｽ'
   0x04, 0x7e, 0x84, 0x84, 0x84, 0x8c, // [190] '*ｾ'
   0x8e, 0x80, 0x80, 0x80, 0x40, 0x3e, // [191] '*ｿ'
   0x10, 0x88, 0x94, 0x52, 0x32, 0x1e, // [192] '*ﾀ'
   0x08, 0x8a, 0x8a, 0x7e, 0x0a, 0x08, // [193] '*ﾁ'
   0x8e, 0x80, 0x8e, 0x80, 0x80, 0x7e, // [194] '*ﾂ'
   0x08, 0x8a, 0x8a, 0x7a, 0x0a, 0x08, // [195] '*ﾃ'
   0x00, 0x00, 0x00, 0xfe, 0x08, 0x10, // [196] '*ﾄ'
   0x04, 0x84, 0x84, 0x7e, 0x04, 0x04, // [197] '*ﾅ'
   0x80, 0x82, 0x82, 0x82, 0x82, 0x80, // [198] '*ﾆ'
   0x82, 0x52, 0x22, 0x5a, 0x8e, 0x00, // [199] '*ﾇ'
   0xc4, 0x24, 0xf6, 0x2c, 0xc4, 0x00, // [200] '*ﾈ'
   0x80, 0x80, 0x40, 0x40, 0x30, 0x0e, // [201] '*ﾉ'
   0xf0, 0x0e, 0x00, 0x00, 0x0e, 0xf0, // [202] '*ﾊ'
   0x7e, 0x88, 0x88, 0x88, 0x88, 0x88, // [203] '*ﾋ'
   0x82, 0x82, 0x82, 0x82, 0x42, 0x3e, // [204] '*ﾌ'
   0x08, 0x04, 0x02, 0x04, 0x08, 0x10, // [205] '*ﾍ'
   0xe4, 0x04, 0xfe, 0x04, 0xe4, 0x00, // [206] '*ﾎ'
   0x02, 0x22, 0x42, 0xa2, 0x12, 0x0e, // [207] '*ﾏ'
   0x92, 0x92, 0x92, 0x92, 0x92, 0x92, // [208] '*ﾐ'
   0xe0, 0x98, 0x84, 0x82, 0x40, 0x80, // [209] '*ﾑ'
   0x80, 0x88, 0x50, 0x20, 0x58, 0x86, // [210] '*ﾒ'
   0x14, 0x14, 0x7e, 0x94, 0x94, 0x94, // [211] '*ﾓ'
   0x08, 0x3e, 0xc8, 0x08, 0x28, 0x18, // [212] '*ﾔ'
   0x82, 0x82, 0x82, 0xfe, 0x80, 0x80, // [213] '*ﾕ'
   0x92, 0x92, 0x92, 0x92, 0x92, 0xfe, // [214] '*ﾖ'
   0x08, 0x8a, 0x8a, 0x8a, 0x8a, 0x78, // [215] '*ﾗ'
   0x1e, 0x80, 0x80, 0x80, 0x80, 0x7e, // [216] '*ﾘ'
   0x80, 0x78, 0x00, 0xfe, 0x80, 0x40, // [217] '*ﾙ'
   0xfe, 0x80, 0x40, 0x40, 0x20, 0x10, // [218] '*ﾚ'
   0xfe, 0x82, 0x82, 0x82, 0x82, 0xfe, // [219] '*ﾛ'
   0x0e, 0x82, 0x82, 0x82, 0x42, 0x3e, // [220] '*ﾜ'
   0x82, 0x82, 0x82, 0x80, 0x80, 0x7e, // [221] '*ﾝ'
   0x07, 0x00, 0x07, 0x00, 0x00, 0x00, // [222] '*ﾞ'
   0x07, 0x05, 0x07, 0x00, 0x00, 0x00, // [223] '*ﾟ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [224] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [225] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [226] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [227] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [228] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [229] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [230] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [231] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [232] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [233] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [234] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [235] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [236] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [237] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [238] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [239] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [240] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [241] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [242] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [243] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [244] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [245] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [246] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [247] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [248] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [249] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [250] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [251] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [252] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [253] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [254] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00  // [255] 'FREE'
};

			    
// 5x7 font (in 6x8 cell)
const uint8_t font_6x8_bold[] = {
   0x00, 0x00, // Ignored.
   32        , // first char ASCII code.
   255       , // last char ASCII code.
   6         , // width of the character in pixels.
   8         , // height of the character in pixels.
   1         , // number of line of bytes per character.
   6         , // bytes per character (normally width * height / 8).
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 32] ' '
   0x00, 0x5f, 0x5f, 0x00, 0x00, 0x00, // [ 33] '!'
   0x03, 0x07, 0x00, 0x03, 0x07, 0x00, // [ 34] '"'
   0x14, 0x7f, 0x14, 0x7f, 0x14, 0x00, // [ 35] '#'
   0x2e, 0x7a, 0x7f, 0x2f, 0x3a, 0x00, // [ 36] '$'
   0x67, 0x37, 0x08, 0x76, 0x73, 0x00, // [ 37] '%'
   0x76, 0x4f, 0x59, 0x27, 0x56, 0x00, // [ 38] '&'
   0x05, 0x07, 0x03, 0x00, 0x00, 0x00, // [ 39] '''
   0x1c, 0x3e, 0x63, 0x41, 0x00, 0x00, // [ 40] '('
   0x41, 0x63, 0x3e, 0x1c, 0x00, 0x00, // [ 41] ')'
   0x14, 0x08, 0x3e, 0x08, 0x14, 0x00, // [ 42] '*'
   0x08, 0x08, 0x3e, 0x08, 0x08, 0x00, // [ 43] '+'
   0x50, 0x70, 0x30, 0x00, 0x00, 0x00, // [ 44] ','
   0x08, 0x08, 0x08, 0x08, 0x08, 0x00, // [ 45] '-'
   0x60, 0x60, 0x60, 0x00, 0x00, 0x00, // [ 46] '.'
   0x60, 0x30, 0x18, 0x0c, 0x06, 0x00, // [ 47] '/'
   0x3e, 0x7b, 0x49, 0x67, 0x3e, 0x00, // [ 48] '0'
   0x42, 0x7f, 0x7f, 0x40, 0x00, 0x00, // [ 49] '1'
   0x63, 0x73, 0x59, 0x4f, 0x46, 0x00, // [ 50] '2'
   0x63, 0x4b, 0x49, 0x7f, 0x36, 0x00, // [ 51] '3'
   0x1c, 0x1e, 0x73, 0x7f, 0x10, 0x00, // [ 52] '4'
   0x67, 0x67, 0x45, 0x7d, 0x39, 0x00, // [ 53] '5'
   0x3c, 0x7e, 0x4b, 0x7b, 0x30, 0x00, // [ 54] '6'
   0x01, 0x79, 0x7d, 0x07, 0x03, 0x00, // [ 55] '7'
   0x36, 0x7f, 0x49, 0x7f, 0x36, 0x00, // [ 56] '8'
   0x06, 0x4f, 0x69, 0x3f, 0x1e, 0x00, // [ 57] '9'
   0x36, 0x36, 0x36, 0x00, 0x00, 0x00, // [ 58] ':'
   0x56, 0x76, 0x36, 0x00, 0x00, 0x00, // [ 59] ';'
   0x08, 0x1c, 0x36, 0x63, 0x41, 0x00, // [ 60] '<'
   0x14, 0x14, 0x14, 0x14, 0x14, 0x00, // [ 61] '='
   0x41, 0x63, 0x36, 0x1c, 0x08, 0x00, // [ 62] '>'
   0x03, 0x53, 0x59, 0x0f, 0x06, 0x00, // [ 63] '?'
   0x7e, 0x63, 0x4f, 0x6b, 0x6f, 0x00, // [ 64] '@'
   0x7e, 0x7f, 0x13, 0x7f, 0x7e, 0x00, // [ 65] 'A'
   0x7f, 0x6b, 0x6b, 0x7f, 0x36, 0x00, // [ 66] 'B'
   0x3e, 0x7f, 0x63, 0x63, 0x36, 0x00, // [ 67] 'C'
   0x7f, 0x7f, 0x63, 0x7f, 0x3e, 0x00, // [ 68] 'D'
   0x7f, 0x7f, 0x6b, 0x6b, 0x63, 0x00, // [ 69] 'E'
   0x7f, 0x7f, 0x0b, 0x0b, 0x03, 0x00, // [ 70] 'F'
   0x3e, 0x7f, 0x63, 0x6b, 0x7b, 0x00, // [ 71] 'G'
   0x7f, 0x7f, 0x08, 0x7f, 0x7f, 0x00, // [ 72] 'H'
   0x00, 0x41, 0x7f, 0x7f, 0x41, 0x00, // [ 73] 'I'
   0x70, 0x61, 0x7f, 0x3f, 0x01, 0x00, // [ 74] 'J'
   0x7f, 0x7f, 0x1c, 0x77, 0x63, 0x00, // [ 75] 'K'
   0x7f, 0x7f, 0x60, 0x60, 0x60, 0x00, // [ 76] 'L'
   0x7f, 0x76, 0x0c, 0x76, 0x7f, 0x00, // [ 77] 'M'
   0x7f, 0x6f, 0x1c, 0x7b, 0x7f, 0x00, // [ 78] 'N'
   0x3e, 0x7f, 0x41, 0x7f, 0x3e, 0x00, // [ 79] 'O'
   0x7f, 0x7f, 0x09, 0x0f, 0x06, 0x00, // [ 80] 'P'
   0x3e, 0x6f, 0x71, 0x7f, 0x5e, 0x00, // [ 81] 'Q'
   0x7f, 0x7f, 0x09, 0x7f, 0x76, 0x00, // [ 82] 'R'
   0x6f, 0x6f, 0x49, 0x7b, 0x7b, 0x00, // [ 83] 'S'
   0x01, 0x7f, 0x7f, 0x01, 0x00, 0x00, // [ 84] 'T'
   0x3f, 0x7f, 0x40, 0x7f, 0x1f, 0x00, // [ 85] 'U'
   0x07, 0x1f, 0x60, 0x1f, 0x07, 0x00, // [ 86] 'V'
   0x3f, 0x67, 0x38, 0x67, 0x3f, 0x00, // [ 87] 'W'
   0x63, 0x77, 0x08, 0x77, 0x63, 0x00, // [ 88] 'X'
   0x03, 0x0f, 0x70, 0x0f, 0x03, 0x00, // [ 89] 'Y'
   0x71, 0x79, 0x5d, 0x4f, 0x47, 0x00, // [ 90] 'Z'
   0x7f, 0x7f, 0x41, 0x41, 0x00, 0x00, // [ 91] '['
   0x06, 0x0c, 0x18, 0x30, 0x60, 0x00, // [ 92] '\'
   0x41, 0x41, 0x7f, 0x7f, 0x00, 0x00, // [ 93] ']'
   0x0c, 0x06, 0x03, 0x06, 0x0c, 0x00, // [ 94] '^'
   0x60, 0x60, 0x60, 0x60, 0x60, 0x00, // [ 95] '_'
   0x01, 0x03, 0x06, 0x04, 0x00, 0x00, // [ 96] '`'
   0x70, 0x54, 0x54, 0x7c, 0x78, 0x00, // [ 97] 'a'
   0x7f, 0x7f, 0x44, 0x7c, 0x38, 0x00, // [ 98] 'b'
   0x38, 0x7c, 0x6c, 0x44, 0x6c, 0x00, // [ 99] 'c'
   0x38, 0x7c, 0x44, 0x7f, 0x7f, 0x00, // [100] 'd'
   0x38, 0x7c, 0x74, 0x5c, 0x58, 0x00, // [101] 'e'
   0x08, 0x7e, 0x7f, 0x09, 0x01, 0x00, // [102] 'f'
   0x1c, 0x5e, 0x52, 0x7e, 0x3e, 0x00, // [103] 'g'
   0x7f, 0x7f, 0x0c, 0x7c, 0x78, 0x00, // [104] 'h'
   0x44, 0x7d, 0x7d, 0x40, 0x00, 0x00, // [105] 'i'
   0x70, 0x40, 0x7d, 0x7d, 0x00, 0x00, // [106] 'j'
   0x7f, 0x7f, 0x18, 0x1e, 0x72, 0x00, // [107] 'k'
   0x41, 0x7f, 0x7f, 0x40, 0x00, 0x00, // [108] 'l'
   0x7c, 0x6c, 0x18, 0x6c, 0x7c, 0x00, // [109] 'm'
   0x7c, 0x7c, 0x04, 0x7c, 0x78, 0x00, // [110] 'n'
   0x38, 0x7c, 0x44, 0x7c, 0x38, 0x00, // [111] 'o'
   0x7c, 0x7c, 0x14, 0x14, 0x1c, 0x00, // [112] 'p'
   0x1c, 0x14, 0x14, 0x7c, 0x7c, 0x00, // [113] 'q'
   0x7c, 0x7c, 0x04, 0x0c, 0x0c, 0x00, // [114] 'r'
   0x5c, 0x5c, 0x54, 0x74, 0x70, 0x00, // [115] 's'
   0x04, 0x7f, 0x7f, 0x44, 0x20, 0x00, // [116] 't'
   0x7c, 0x7c, 0x40, 0x3c, 0x7c, 0x00, // [117] 'u'
   0x1c, 0x3c, 0x40, 0x3c, 0x1c, 0x00, // [118] 'v'
   0x3c, 0x6c, 0x30, 0x6c, 0x3c, 0x00, // [119] 'w'
   0x6c, 0x7c, 0x10, 0x7c, 0x6c, 0x00, // [120] 'x'
   0x0c, 0x5c, 0x50, 0x7c, 0x7c, 0x00, // [121] 'y'
   0x64, 0x74, 0x7c, 0x5c, 0x4c, 0x00, // [122] 'z'
   0x00, 0x1c, 0x36, 0x63, 0x00, 0x00, // [123] '{'
   0x00, 0x00, 0x7f, 0x00, 0x00, 0x00, // [124] '|'
   0x00, 0x63, 0x36, 0x1c, 0x00, 0x00, // [125] '}'
   0x10, 0x08, 0x08, 0x10, 0x08, 0x00, // [126] '~'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [127] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [128] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [129] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [130] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [131] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [132] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [133] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [134] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [135] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [136] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [137] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [138] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [139] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [140] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [141] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [142] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [143] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [144] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [145] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [146] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [147] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [148] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [149] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [150] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [151] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [152] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [153] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [154] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [155] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [156] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [157] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [158] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [159] 'FREE'
   0x10, 0x10, 0x10, 0x10, 0x10, 0x00, // [160] '*ｰ'
   0xe0, 0xa0, 0xe0, 0x00, 0x00, 0x00, // [161] '*｡'
   0x00, 0x00, 0x00, 0xfe, 0x02, 0x02, // [162] '*｢'
   0x80, 0x80, 0xfe, 0x00, 0x00, 0x00, // [163] '*｣'
   0x20, 0x40, 0x80, 0x00, 0x00, 0x00, // [164] '*､'
   0x00, 0x00, 0x38, 0x38, 0x00, 0x00, // [165] '*･'
   0x0a, 0x0a, 0x8a, 0x8a, 0x4a, 0x3e, // [166] '*ｦ'
   0x88, 0x68, 0x28, 0x18, 0x00, 0x00, // [167] '*ｧ'
   0x40, 0x20, 0xf0, 0x08, 0x00, 0x00, // [168] '*ｨ'
   0x30, 0x90, 0x98, 0x70, 0x00, 0x00, // [169] '*ｩ'
   0x90, 0x90, 0xf0, 0x90, 0x00, 0x00, // [170] '*ｪ'
   0x90, 0x50, 0xf8, 0x10, 0x00, 0x00, // [171] '*ｫ'
   0x10, 0xf8, 0x10, 0x30, 0x00, 0x00, // [172] '*ｬ'
   0x88, 0x88, 0xf8, 0x80, 0x00, 0x00, // [173] '*ｭ'
   0xa8, 0xa8, 0xa8, 0xf8, 0x00, 0x00, // [174] '*ｮ'
   0xb8, 0x80, 0xb8, 0x80, 0x78, 0x00, // [175] '*ｯ'
   0x00, 0x06, 0x09, 0x09, 0x06, 0x00, // [176] '°'
   0x02, 0x02, 0x82, 0x72, 0x0a, 0x06, // [177] '*ｱ'
   0x40, 0x20, 0x10, 0xf8, 0x04, 0x02, // [178] '*ｲ'
   0x0c, 0x84, 0x84, 0x86, 0x44, 0x3c, // [179] '*ｳ'
   0x82, 0x82, 0x82, 0xfe, 0x82, 0x82, // [180] '*ｴ'
   0x44, 0x24, 0x14, 0xfe, 0x04, 0x04, // [181] '*ｵ'
   0x04, 0xc4, 0x34, 0x0e, 0x84, 0x7c, // [182] '*ｶ'
   0x14, 0x14, 0x14, 0xfe, 0x14, 0x14, // [183] '*ｷ'
   0x10, 0x88, 0x84, 0x42, 0x22, 0x1e, // [184] '*ｸ'
   0x08, 0x04, 0x86, 0x7c, 0x04, 0x04, // [185] '*ｹ'
   0x82, 0x82, 0x82, 0x82, 0x82, 0xfe, // [186] '*ｺ'
   0x04, 0x1e, 0x84, 0x84, 0x7e, 0x04, // [187] '*ｻ'
   0x8a, 0x8a, 0x8a, 0x80, 0x40, 0x3e, // [188] '*ｼ'
   0x82, 0x42, 0x22, 0x32, 0x4a, 0x86, // [189] '*ｽ'
   0x04, 0x7e, 0x84, 0x84, 0x84, 0x8c, // [190] '*ｾ'
   0x8e, 0x80, 0x80, 0x80, 0x40, 0x3e, // [191] '*ｿ'
   0x10, 0x88, 0x94, 0x52, 0x32, 0x1e, // [192] '*ﾀ'
   0x08, 0x8a, 0x8a, 0x7e, 0x0a, 0x08, // [193] '*ﾁ'
   0x8e, 0x80, 0x8e, 0x80, 0x80, 0x7e, // [194] '*ﾂ'
   0x08, 0x8a, 0x8a, 0x7a, 0x0a, 0x08, // [195] '*ﾃ'
   0x00, 0x00, 0x00, 0xfe, 0x08, 0x10, // [196] '*ﾄ'
   0x04, 0x84, 0x84, 0x7e, 0x04, 0x04, // [197] '*ﾅ'
   0x80, 0x82, 0x82, 0x82, 0x82, 0x80, // [198] '*ﾆ'
   0x82, 0x52, 0x22, 0x5a, 0x8e, 0x00, // [199] '*ﾇ'
   0xc4, 0x24, 0xf6, 0x2c, 0xc4, 0x00, // [200] '*ﾈ'
   0x80, 0x80, 0x40, 0x40, 0x30, 0x0e, // [201] '*ﾉ'
   0xf0, 0x0e, 0x00, 0x00, 0x0e, 0xf0, // [202] '*ﾊ'
   0x7e, 0x88, 0x88, 0x88, 0x88, 0x88, // [203] '*ﾋ'
   0x82, 0x82, 0x82, 0x82, 0x42, 0x3e, // [204] '*ﾌ'
   0x08, 0x04, 0x02, 0x04, 0x08, 0x10, // [205] '*ﾍ'
   0xe4, 0x04, 0xfe, 0x04, 0xe4, 0x00, // [206] '*ﾎ'
   0x02, 0x22, 0x42, 0xa2, 0x12, 0x0e, // [207] '*ﾏ'
   0x92, 0x92, 0x92, 0x92, 0x92, 0x92, // [208] '*ﾐ'
   0xe0, 0x98, 0x84, 0x82, 0x40, 0x80, // [209] '*ﾑ'
   0x80, 0x88, 0x50, 0x20, 0x58, 0x86, // [210] '*ﾒ'
   0x14, 0x14, 0x7e, 0x94, 0x94, 0x94, // [211] '*ﾓ'
   0x08, 0x3e, 0xc8, 0x08, 0x28, 0x18, // [212] '*ﾔ'
   0x82, 0x82, 0x82, 0xfe, 0x80, 0x80, // [213] '*ﾕ'
   0x92, 0x92, 0x92, 0x92, 0x92, 0xfe, // [214] '*ﾖ'
   0x08, 0x8a, 0x8a, 0x8a, 0x8a, 0x78, // [215] '*ﾗ'
   0x1e, 0x80, 0x80, 0x80, 0x80, 0x7e, // [216] '*ﾘ'
   0x80, 0x78, 0x00, 0xfe, 0x80, 0x40, // [217] '*ﾙ'
   0xfe, 0x80, 0x40, 0x40, 0x20, 0x10, // [218] '*ﾚ'
   0xfe, 0x82, 0x82, 0x82, 0x82, 0xfe, // [219] '*ﾛ'
   0x0e, 0x82, 0x82, 0x82, 0x42, 0x3e, // [220] '*ﾜ'
   0x82, 0x82, 0x82, 0x80, 0x80, 0x7e, // [221] '*ﾝ'
   0x07, 0x00, 0x07, 0x00, 0x00, 0x00, // [222] '*ﾞ'
   0x07, 0x05, 0x07, 0x00, 0x00, 0x00, // [223] '*ﾟ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [224] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [225] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [226] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [227] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [228] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [229] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [230] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [231] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [232] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [233] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [234] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [235] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [236] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [237] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [238] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [239] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [240] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [241] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [242] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [243] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [244] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [245] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [246] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [247] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [248] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [249] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [250] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [251] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [252] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [253] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [254] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00  // [255] 'FREE'
};


const uint8_t font_8x8[] = {
   0x00, 0x00, // Ignored.
   32        , // first char ASCII code.
   255       , // last char ASCII code.
   8         , // width of the character in pixels.
   8         , // height of the character in pixels.
   1         , // number of line of bytes per character.
   8         , // bytes per character (normally width * height / 8).
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 32] ' '
   0x00, 0x00, 0x06, 0x5f, 0x5f, 0x06, 0x00, 0x00, // [ 33] '!'
   0x00, 0x07, 0x07, 0x00, 0x07, 0x07, 0x00, 0x00, // [ 34] '"'
   0x14, 0x7f, 0x7f, 0x14, 0x7f, 0x7f, 0x14, 0x00, // [ 35] '#'
   0x24, 0x2e, 0x2a, 0x6b, 0x6b, 0x3a, 0x12, 0x00, // [ 36] '$'
   0x46, 0x66, 0x30, 0x18, 0x0c, 0x66, 0x62, 0x00, // [ 37] '%'
   0x30, 0x7a, 0x4f, 0x5d, 0x37, 0x7a, 0x48, 0x00, // [ 38] '&'
   0x00, 0x04, 0x07, 0x03, 0x00, 0x00, 0x00, 0x00, // [ 39] '''
   0x00, 0x1c, 0x3e, 0x63, 0x41, 0x00, 0x00, 0x00, // [ 40] '('
   0x00, 0x41, 0x63, 0x3e, 0x1c, 0x00, 0x00, 0x00, // [ 41] ')'
   0x08, 0x2a, 0x3e, 0x1c, 0x1c, 0x3e, 0x2a, 0x08, // [ 42] '*'
   0x00, 0x08, 0x08, 0x3e, 0x3e, 0x08, 0x08, 0x00, // [ 43] '+'
   0x00, 0x00, 0x80, 0xe0, 0x60, 0x00, 0x00, 0x00, // [ 44] ','
   0x00, 0x08, 0x08, 0x08, 0x08, 0x08, 0x08, 0x00, // [ 45] '-'
   0x00, 0x00, 0x00, 0x60, 0x60, 0x00, 0x00, 0x00, // [ 46] '.'
   0x60, 0x30, 0x18, 0x0c, 0x06, 0x03, 0x01, 0x00, // [ 47] '/'
   0x3e, 0x7f, 0x59, 0x4d, 0x47, 0x7f, 0x3e, 0x00, // [ 48] '0'
   0x40, 0x42, 0x7f, 0x7f, 0x40, 0x40, 0x00, 0x00, // [ 49] '1'
   0x62, 0x73, 0x59, 0x49, 0x6f, 0x66, 0x00, 0x00, // [ 50] '2'
   0x22, 0x63, 0x49, 0x49, 0x7f, 0x36, 0x00, 0x00, // [ 51] '3'
   0x18, 0x1c, 0x16, 0x53, 0x7f, 0x7f, 0x50, 0x00, // [ 52] '4'
   0x27, 0x67, 0x45, 0x45, 0x7d, 0x39, 0x00, 0x00, // [ 53] '5'
   0x3c, 0x7e, 0x4b, 0x49, 0x79, 0x30, 0x00, 0x00, // [ 54] '6'
   0x03, 0x03, 0x71, 0x79, 0x0f, 0x07, 0x00, 0x00, // [ 55] '7'
   0x36, 0x7f, 0x49, 0x49, 0x7f, 0x36, 0x00, 0x00, // [ 56] '8'
   0x06, 0x4f, 0x49, 0x69, 0x3f, 0x1e, 0x00, 0x00, // [ 57] '9'
   0x00, 0x00, 0x00, 0x66, 0x66, 0x00, 0x00, 0x00, // [ 58] ':'
   0x00, 0x00, 0x80, 0xe6, 0x66, 0x00, 0x00, 0x00, // [ 59] ';'
   0x08, 0x1c, 0x36, 0x63, 0x41, 0x00, 0x00, 0x00, // [ 60] '<'
   0x00, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x00, // [ 61] '='
   0x00, 0x41, 0x63, 0x36, 0x1c, 0x08, 0x00, 0x00, // [ 62] '>'
   0x00, 0x02, 0x03, 0x59, 0x5d, 0x07, 0x02, 0x00, // [ 63] '?'
   0x3e, 0x7f, 0x41, 0x5d, 0x5d, 0x5f, 0x0e, 0x00, // [ 64] '@'
   0x7c, 0x7e, 0x13, 0x13, 0x7e, 0x7c, 0x00, 0x00, // [ 65] 'A'
   0x41, 0x7f, 0x7f, 0x49, 0x49, 0x7f, 0x36, 0x00, // [ 66] 'B'
   0x1c, 0x3e, 0x63, 0x41, 0x41, 0x63, 0x22, 0x00, // [ 67] 'C'
   0x41, 0x7f, 0x7f, 0x41, 0x63, 0x3e, 0x1c, 0x00, // [ 68] 'D'
   0x41, 0x7f, 0x7f, 0x49, 0x5d, 0x41, 0x63, 0x00, // [ 69] 'E'
   0x41, 0x7f, 0x7f, 0x49, 0x1d, 0x01, 0x03, 0x00, // [ 70] 'F'
   0x1c, 0x3e, 0x63, 0x41, 0x51, 0x33, 0x72, 0x00, // [ 71] 'G'
   0x7f, 0x7f, 0x08, 0x08, 0x7f, 0x7f, 0x00, 0x00, // [ 72] 'H'
   0x00, 0x41, 0x7f, 0x7f, 0x41, 0x00, 0x00, 0x00, // [ 73] 'I'
   0x30, 0x70, 0x40, 0x41, 0x7f, 0x3f, 0x01, 0x00, // [ 74] 'J'
   0x41, 0x7f, 0x7f, 0x08, 0x1c, 0x77, 0x63, 0x00, // [ 75] 'K'
   0x41, 0x7f, 0x7f, 0x41, 0x40, 0x60, 0x70, 0x00, // [ 76] 'L'
   0x7f, 0x7f, 0x0e, 0x1c, 0x0e, 0x7f, 0x7f, 0x00, // [ 77] 'M'
   0x7f, 0x7f, 0x06, 0x0c, 0x18, 0x7f, 0x7f, 0x00, // [ 78] 'N'
   0x1c, 0x3e, 0x63, 0x41, 0x63, 0x3e, 0x1c, 0x00, // [ 79] 'O'
   0x41, 0x7f, 0x7f, 0x49, 0x09, 0x0f, 0x06, 0x00, // [ 80] 'P'
   0x1e, 0x3f, 0x21, 0x31, 0x61, 0x7f, 0x5e, 0x00, // [ 81] 'Q'
   0x41, 0x7f, 0x7f, 0x09, 0x19, 0x7f, 0x66, 0x00, // [ 82] 'R'
   0x26, 0x6f, 0x4d, 0x49, 0x59, 0x73, 0x32, 0x00, // [ 83] 'S'
   0x03, 0x41, 0x7f, 0x7f, 0x41, 0x03, 0x00, 0x00, // [ 84] 'T'
   0x3f, 0x7f, 0x40, 0x40, 0x7f, 0x7f, 0x00, 0x00, // [ 85] 'U'
   0x07, 0x0f, 0x38, 0x60, 0x1f, 0x03, 0x00, 0x00, // [ 86] 'V'
   0x3f, 0x7f, 0x60, 0x30, 0x60, 0x7f, 0x3f, 0x00, // [ 87] 'W'
   0x63, 0x77, 0x1c, 0x08, 0x1c, 0x77, 0x63, 0x00, // [ 88] 'X'
   0x07, 0x4f, 0x78, 0x78, 0x4f, 0x07, 0x00, 0x00, // [ 89] 'Y'
   0x47, 0x63, 0x71, 0x59, 0x4d, 0x67, 0x73, 0x00, // [ 90] 'Z'
   0x00, 0x7f, 0x7f, 0x41, 0x41, 0x00, 0x00, 0x00, // [ 91] '['
   0x01, 0x03, 0x06, 0x0c, 0x18, 0x30, 0x60, 0x00, // [ 92] '\'
   0x00, 0x41, 0x41, 0x7f, 0x7f, 0x00, 0x00, 0x00, // [ 93] ']'
   0x08, 0x0c, 0x06, 0x03, 0x06, 0x0c, 0x08, 0x00, // [ 94] '^'
   0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, // [ 95] '_'
   0x00, 0x00, 0x03, 0x07, 0x04, 0x00, 0x00, 0x00, // [ 96] '`'
   0x20, 0x74, 0x54, 0x54, 0x3c, 0x78, 0x40, 0x00, // [ 97] 'a'
   0x41, 0x7f, 0x3f, 0x48, 0x48, 0x78, 0x30, 0x00, // [ 98] 'b'
   0x38, 0x7c, 0x44, 0x44, 0x6c, 0x28, 0x00, 0x00, // [ 99] 'c'
   0x30, 0x78, 0x48, 0x49, 0x3f, 0x7f, 0x40, 0x00, // [100] 'd'
   0x38, 0x7c, 0x54, 0x54, 0x5c, 0x18, 0x00, 0x00, // [101] 'e'
   0x48, 0x7e, 0x7f, 0x49, 0x03, 0x06, 0x00, 0x00, // [102] 'f'
   0x98, 0xbc, 0xa4, 0xa4, 0xf8, 0x7c, 0x04, 0x00, // [103] 'g'
   0x41, 0x7f, 0x7f, 0x08, 0x04, 0x7c, 0x78, 0x00, // [104] 'h'
   0x00, 0x44, 0x7d, 0x7d, 0x40, 0x00, 0x00, 0x00, // [105] 'i'
   0x60, 0xe0, 0x80, 0x84, 0xfd, 0x7d, 0x00, 0x00, // [106] 'j'
   0x41, 0x7f, 0x7f, 0x10, 0x38, 0x6c, 0x44, 0x00, // [107] 'k'
   0x00, 0x41, 0x7f, 0x7f, 0x40, 0x00, 0x00, 0x00, // [108] 'l'
   0x7c, 0x7c, 0x18, 0x78, 0x1c, 0x7c, 0x78, 0x00, // [109] 'm'
   0x7c, 0x78, 0x04, 0x04, 0x7c, 0x78, 0x00, 0x00, // [110] 'n'
   0x38, 0x7c, 0x44, 0x44, 0x7c, 0x38, 0x00, 0x00, // [111] 'o'
   0x84, 0xfc, 0xf8, 0xa4, 0x24, 0x3c, 0x18, 0x00, // [112] 'p'
   0x18, 0x3c, 0x24, 0xa4, 0xf8, 0xfc, 0x84, 0x00, // [113] 'q'
   0x44, 0x7c, 0x78, 0x4c, 0x04, 0x0c, 0x18, 0x00, // [114] 'r'
   0x48, 0x5c, 0x54, 0x74, 0x64, 0x24, 0x00, 0x00, // [115] 's'
   0x04, 0x04, 0x3e, 0x7f, 0x44, 0x24, 0x00, 0x00, // [116] 't'
   0x3c, 0x7c, 0x40, 0x40, 0x3c, 0x7c, 0x40, 0x00, // [117] 'u'
   0x1c, 0x3c, 0x60, 0x60, 0x3c, 0x1c, 0x00, 0x00, // [118] 'v'
   0x3c, 0x7c, 0x60, 0x30, 0x60, 0x7c, 0x3c, 0x00, // [119] 'w'
   0x44, 0x6c, 0x38, 0x10, 0x38, 0x6c, 0x44, 0x00, // [120] 'x'
   0x9c, 0xbc, 0xa0, 0xa0, 0xfc, 0x7c, 0x00, 0x00, // [121] 'y'
   0x4c, 0x64, 0x74, 0x5c, 0x4c, 0x64, 0x00, 0x00, // [122] 'z'
   0x08, 0x08, 0x3e, 0x77, 0x41, 0x41, 0x00, 0x00, // [123] '{'
   0x00, 0x00, 0x00, 0x77, 0x77, 0x00, 0x00, 0x00, // [124] '|'
   0x41, 0x41, 0x77, 0x3e, 0x08, 0x08, 0x00, 0x00, // [125] '}'
   0x02, 0x03, 0x01, 0x03, 0x02, 0x03, 0x01, 0x00, // [126] '~'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [127] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [128] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [129] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [130] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [131] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [132] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [133] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [134] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [135] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [136] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [137] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [138] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [139] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [140] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [141] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [142] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [143] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [144] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [145] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [146] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [147] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [148] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [149] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [150] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [151] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [152] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [153] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [154] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [155] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [156] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [157] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [158] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [159] 'FREE'
   0x00, 0x08, 0x08, 0x08, 0x08, 0x08, 0x00, 0x00, // [160] '*ｰ'
   0xe0, 0xa0, 0xe0, 0x00, 0x00, 0x00, 0x00, 0x00, // [161] '*｡'
   0x00, 0x00, 0x00, 0xfe, 0x02, 0x02, 0x00, 0x00, // [162] '*｢'
   0x80, 0x80, 0xfe, 0x00, 0x00, 0x00, 0x00, 0x00, // [163] '*｣'
   0x20, 0x40, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, // [164] '*､'
   0x00, 0x00, 0x38, 0x38, 0x00, 0x00, 0x00, 0x00, // [165] '*･'
   0x0a, 0x0a, 0x8a, 0x8a, 0x4a, 0x3e, 0x00, 0x00, // [166] '*ｦ'
   0x88, 0x68, 0x28, 0x18, 0x00, 0x00, 0x00, 0x00, // [167] '*ｧ'
   0x40, 0x20, 0xf0, 0x08, 0x00, 0x00, 0x00, 0x00, // [168] '*ｨ'
   0x30, 0x90, 0x98, 0x70, 0x00, 0x00, 0x00, 0x00, // [169] '*ｩ'
   0x90, 0x90, 0xf0, 0x90, 0x00, 0x00, 0x00, 0x00, // [170] '*ｪ'
   0x90, 0x50, 0xf8, 0x10, 0x00, 0x00, 0x00, 0x00, // [171] '*ｫ'
   0x10, 0xf8, 0x10, 0x30, 0x00, 0x00, 0x00, 0x00, // [172] '*ｬ'
   0x88, 0x88, 0xf8, 0x80, 0x00, 0x00, 0x00, 0x00, // [173] '*ｭ'
   0xa8, 0xa8, 0xa8, 0xf8, 0x00, 0x00, 0x00, 0x00, // [174] '*ｮ'
   0xb8, 0x80, 0xb8, 0x80, 0x78, 0x00, 0x00, 0x00, // [175] '*ｯ'
   0x00, 0x06, 0x09, 0x09, 0x06, 0x00, 0x00, 0x00, // [176] '°'
   0x02, 0x02, 0x82, 0x72, 0x0a, 0x06, 0x00, 0x00, // [177] '*ｱ'
   0x40, 0x20, 0x10, 0xf8, 0x04, 0x02, 0x00, 0x00, // [178] '*ｲ'
   0x0c, 0x84, 0x84, 0x86, 0x44, 0x3c, 0x00, 0x00, // [179] '*ｳ'
   0x82, 0x82, 0x82, 0xfe, 0x82, 0x82, 0x00, 0x00, // [180] '*ｴ'
   0x44, 0x24, 0x14, 0xfe, 0x04, 0x04, 0x00, 0x00, // [181] '*ｵ'
   0x04, 0xc4, 0x34, 0x0e, 0x84, 0x7c, 0x00, 0x00, // [182] '*ｶ'
   0x14, 0x14, 0x14, 0xfe, 0x14, 0x14, 0x00, 0x00, // [183] '*ｷ'
   0x10, 0x88, 0x84, 0x42, 0x22, 0x1e, 0x00, 0x00, // [184] '*ｸ'
   0x08, 0x04, 0x86, 0x7c, 0x04, 0x04, 0x00, 0x00, // [185] '*ｹ'
   0x82, 0x82, 0x82, 0x82, 0x82, 0xfe, 0x00, 0x00, // [186] '*ｺ'
   0x04, 0x1e, 0x84, 0x84, 0x7e, 0x04, 0x00, 0x00, // [187] '*ｻ'
   0x8a, 0x8a, 0x8a, 0x80, 0x40, 0x3e, 0x00, 0x00, // [188] '*ｼ'
   0x82, 0x42, 0x22, 0x32, 0x4a, 0x86, 0x00, 0x00, // [189] '*ｽ'
   0x04, 0x7e, 0x84, 0x84, 0x84, 0x8c, 0x00, 0x00, // [190] '*ｾ'
   0x8e, 0x80, 0x80, 0x80, 0x40, 0x3e, 0x00, 0x00, // [191] '*ｿ'
   0x10, 0x88, 0x94, 0x52, 0x32, 0x1e, 0x00, 0x00, // [192] '*ﾀ'
   0x08, 0x8a, 0x8a, 0x7e, 0x0a, 0x08, 0x00, 0x00, // [193] '*ﾁ'
   0x8e, 0x80, 0x8e, 0x80, 0x80, 0x7e, 0x00, 0x00, // [194] '*ﾂ'
   0x08, 0x8a, 0x8a, 0x7a, 0x0a, 0x08, 0x00, 0x00, // [195] '*ﾃ'
   0x00, 0x00, 0x00, 0xfe, 0x08, 0x10, 0x00, 0x00, // [196] '*ﾄ'
   0x04, 0x84, 0x84, 0x7e, 0x04, 0x04, 0x00, 0x00, // [197] '*ﾅ'
   0x80, 0x82, 0x82, 0x82, 0x82, 0x80, 0x00, 0x00, // [198] '*ﾆ'
   0x82, 0x52, 0x22, 0x5a, 0x8e, 0x00, 0x00, 0x00, // [199] '*ﾇ'
   0xc4, 0x24, 0xf6, 0x2c, 0xc4, 0x00, 0x00, 0x00, // [200] '*ﾈ'
   0x80, 0x80, 0x40, 0x40, 0x30, 0x0e, 0x00, 0x00, // [201] '*ﾉ'
   0xf0, 0x0e, 0x00, 0x00, 0x0e, 0xf0, 0x00, 0x00, // [202] '*ﾊ'
   0x7e, 0x88, 0x88, 0x88, 0x88, 0x88, 0x00, 0x00, // [203] '*ﾋ'
   0x82, 0x82, 0x82, 0x82, 0x42, 0x3e, 0x00, 0x00, // [204] '*ﾌ'
   0x08, 0x04, 0x02, 0x04, 0x08, 0x10, 0x00, 0x00, // [205] '*ﾍ'
   0xe4, 0x04, 0xfe, 0x04, 0xe4, 0x00, 0x00, 0x00, // [206] '*ﾎ'
   0x02, 0x22, 0x42, 0xa2, 0x12, 0x0e, 0x00, 0x00, // [207] '*ﾏ'
   0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x00, 0x00, // [208] '*ﾐ'
   0xe0, 0x98, 0x84, 0x82, 0x40, 0x80, 0x00, 0x00, // [209] '*ﾑ'
   0x80, 0x88, 0x50, 0x20, 0x58, 0x86, 0x00, 0x00, // [210] '*ﾒ'
   0x14, 0x14, 0x7e, 0x94, 0x94, 0x94, 0x00, 0x00, // [211] '*ﾓ'
   0x08, 0x3e, 0xc8, 0x08, 0x28, 0x18, 0x00, 0x00, // [212] '*ﾔ'
   0x82, 0x82, 0x82, 0xfe, 0x80, 0x80, 0x00, 0x00, // [213] '*ﾕ'
   0x92, 0x92, 0x92, 0x92, 0x92, 0xfe, 0x00, 0x00, // [214] '*ﾖ'
   0x08, 0x8a, 0x8a, 0x8a, 0x8a, 0x78, 0x00, 0x00, // [215] '*ﾗ'
   0x1e, 0x80, 0x80, 0x80, 0x80, 0x7e, 0x00, 0x00, // [216] '*ﾘ'
   0x80, 0x78, 0x00, 0xfe, 0x80, 0x40, 0x00, 0x00, // [217] '*ﾙ'
   0xfe, 0x80, 0x40, 0x40, 0x20, 0x10, 0x00, 0x00, // [218] '*ﾚ'
   0xfe, 0x82, 0x82, 0x82, 0x82, 0xfe, 0x00, 0x00, // [219] '*ﾛ'
   0x0e, 0x82, 0x82, 0x82, 0x42, 0x3e, 0x00, 0x00, // [220] '*ﾜ'
   0x82, 0x82, 0x82, 0x80, 0x80, 0x7e, 0x00, 0x00, // [221] '*ﾝ'
   0x07, 0x00, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, // [222] '*ﾞ'
   0x07, 0x05, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, // [223] '*ﾟ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [224] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [225] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [226] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [227] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [228] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [229] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [230] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [231] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [232] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [233] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [234] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [235] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [236] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [237] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [238] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [239] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [240] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [241] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [242] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [243] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [244] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [245] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [246] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [247] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [248] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [249] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [250] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [251] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [252] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [253] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [254] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00  // [255] 'FREE'
};


const uint8_t font_8x16[] = {
   0x00, 0x00, // Ignored.
   32        , // first char ASCII code.
   255       , // last char ASCII code.
   8         , // width of the character in pixels.
   16        , // height of the character in pixels.
   1         , // number of line of bytes per character.
   16        , // bytes per character (normally width * height / 8).
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 32] ' '
   0x00, 0x00, 0x00, 0xFC, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11, 0x19, 0x00, 0x00, 0x00, // [ 33] '!'
   0x00, 0x00, 0x3C, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 34] '"'
   0x00, 0x60, 0xE0, 0x7C, 0x60, 0xF8, 0x7C, 0x60, 0x03, 0x13, 0x1F, 0x03, 0x1F, 0x07, 0x03, 0x00, // [ 35] '#'
   0x70, 0xF8, 0xC8, 0x8E, 0x88, 0x38, 0x30, 0x00, 0x0C, 0x1C, 0x31, 0x71, 0x33, 0x1F, 0x0E, 0x00, // [ 36] '$'
   0x38, 0x7C, 0x44, 0x7C, 0xC0, 0x38, 0x08, 0x00, 0x00, 0x00, 0x04, 0x03, 0x0E, 0x1F, 0x11, 0x1F, // [ 37] '%'
   0x30, 0xFC, 0xCC, 0xCC, 0x78, 0x00, 0x00, 0x00, 0x0F, 0x1B, 0x19, 0x1B, 0x1E, 0x1E, 0x17, 0x00, // [ 38] '&'
   0x00, 0x00, 0x00, 0x1E, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 39] '''
   0x00, 0x00, 0xE0, 0xF8, 0x0C, 0x02, 0x00, 0x00, 0x00, 0x00, 0x07, 0x1F, 0x30, 0x40, 0x00, 0x00, // [ 40] '('
   0x00, 0x00, 0x02, 0x0C, 0xF8, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x40, 0x30, 0x1F, 0x07, 0x00, 0x00, // [ 41] ')'
   0x60, 0x60, 0xC0, 0xF8, 0xC0, 0x60, 0x60, 0x00, 0x00, 0x02, 0x03, 0x00, 0x03, 0x02, 0x00, 0x00, // [ 42] '*'
   0x80, 0x80, 0xF0, 0xF0, 0x80, 0x80, 0x80, 0x00, 0x01, 0x01, 0x0F, 0x0F, 0x01, 0x01, 0x01, 0x00, // [ 43] '+'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x7C, 0x1C, 0x00, 0x00, 0x00, 0x00, // [ 44] ','
   0x00, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, // [ 45] '-'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1C, 0x1C, 0x00, 0x00, 0x00, 0x00, // [ 46] '.'
   0x00, 0x00, 0x00, 0x80, 0xF0, 0x7C, 0x0C, 0x00, 0x00, 0x00, 0x1C, 0x1F, 0x03, 0x00, 0x00, 0x00, // [ 47] '/'
   0xF0, 0xF8, 0x9C, 0x8C, 0x5C, 0xF8, 0xF0, 0x00, 0x07, 0x0F, 0x1D, 0x18, 0x1C, 0x0F, 0x07, 0x00, // [ 48] '0'
   0x00, 0x30, 0x18, 0x18, 0xFC, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x1F, 0x00, 0x00, // [ 49] '1'
   0x00, 0x38, 0x3C, 0x0C, 0x8C, 0xFC, 0x78, 0x00, 0x00, 0x18, 0x1E, 0x1F, 0x1B, 0x19, 0x18, 0x00, // [ 50] '2'
   0x00, 0x18, 0x1C, 0x8C, 0x8C, 0xFC, 0x78, 0x00, 0x00, 0x0C, 0x1C, 0x19, 0x19, 0x1F, 0x0F, 0x00, // [ 51] '3'
   0x00, 0xC0, 0x70, 0x1C, 0xFC, 0xFC, 0x00, 0x00, 0x07, 0x07, 0x06, 0x06, 0x1F, 0x1F, 0x06, 0x00, // [ 52] '4'
   0x00, 0x7C, 0x7C, 0x6C, 0x6C, 0xEC, 0xCC, 0x00, 0x00, 0x0C, 0x1C, 0x18, 0x18, 0x1F, 0x0F, 0x00, // [ 53] '5'
   0x00, 0xF0, 0xF8, 0xDC, 0xCC, 0xCC, 0x80, 0x00, 0x00, 0x0F, 0x1F, 0x18, 0x18, 0x1F, 0x0F, 0x00, // [ 54] '6'
   0x00, 0x0C, 0x0C, 0x0C, 0xCC, 0xFC, 0x3C, 0x00, 0x00, 0x00, 0x18, 0x1F, 0x07, 0x00, 0x00, 0x00, // [ 55] '7'
   0x00, 0x78, 0xFC, 0xCC, 0xCC, 0xFC, 0x78, 0x00, 0x00, 0x0F, 0x1F, 0x18, 0x18, 0x1F, 0x0F, 0x00, // [ 56] '8'
   0x00, 0xF8, 0xFC, 0x0C, 0x0C, 0xFC, 0xF8, 0x00, 0x00, 0x01, 0x19, 0x19, 0x19, 0x0F, 0x07, 0x00, // [ 57] '9'
   0x00, 0x00, 0x00, 0x70, 0x70, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1C, 0x1C, 0x08, 0x00, 0x00, // [ 58] ':'
   0x00, 0x00, 0x00, 0x70, 0x70, 0x20, 0x00, 0x00, 0x00, 0x00, 0x40, 0x7C, 0x1C, 0x00, 0x00, 0x00, // [ 59] ';'
   0x00, 0x80, 0xC0, 0x60, 0x30, 0x18, 0x08, 0x00, 0x00, 0x00, 0x01, 0x03, 0x06, 0x0C, 0x08, 0x00, // [ 60] '<'
   0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x00, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x00, // [ 61] '='
   0x00, 0x08, 0x18, 0x30, 0x60, 0xC0, 0x80, 0x00, 0x00, 0x08, 0x0C, 0x06, 0x03, 0x01, 0x00, 0x00, // [ 62] '>'
   0x18, 0x1C, 0x0C, 0x8C, 0xCC, 0xF8, 0x30, 0x00, 0x00, 0x00, 0x12, 0x1B, 0x01, 0x00, 0x00, 0x00, // [ 63] '?'
   0xC0, 0x70, 0x88, 0xE4, 0x24, 0xE4, 0x08, 0xF0, 0x03, 0x0E, 0x1B, 0x16, 0x14, 0x17, 0x04, 0x03, // [ 64] '@'
   0x00, 0x80, 0xF0, 0x3C, 0xF8, 0xC0, 0x00, 0x00, 0x1C, 0x1F, 0x0F, 0x06, 0x07, 0x1F, 0x1C, 0x00, // [ 65] 'A'
   0xFC, 0xFC, 0x8C, 0x8C, 0x8C, 0xF8, 0x70, 0x00, 0x1F, 0x1F, 0x19, 0x19, 0x19, 0x1F, 0x0F, 0x00, // [ 66] 'B'
   0xF8, 0xFC, 0x0C, 0x0C, 0x0C, 0x38, 0x30, 0x00, 0x0F, 0x1F, 0x18, 0x18, 0x18, 0x0C, 0x04, 0x00, // [ 67] 'C'
   0xFC, 0xFC, 0x0C, 0x0C, 0x18, 0xF8, 0xE0, 0x00, 0x1F, 0x1F, 0x18, 0x18, 0x1C, 0x0F, 0x03, 0x00, // [ 68] 'D'
   0xFC, 0xFC, 0x8C, 0x8C, 0x8C, 0x8C, 0x0C, 0x00, 0x1F, 0x1F, 0x19, 0x19, 0x19, 0x19, 0x18, 0x00, // [ 69] 'E'
   0xFC, 0xFC, 0x8C, 0x8C, 0x8C, 0x8C, 0x0C, 0x00, 0x1F, 0x1F, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, // [ 70] 'F'
   0xF8, 0xFC, 0x0C, 0x8C, 0x8C, 0x9C, 0x90, 0x00, 0x0F, 0x1F, 0x18, 0x19, 0x19, 0x1F, 0x0F, 0x00, // [ 71] 'G'
   0xFC, 0xFC, 0x80, 0x80, 0x80, 0xFC, 0xFC, 0x00, 0x1F, 0x1F, 0x01, 0x01, 0x01, 0x1F, 0x1F, 0x00, // [ 72] 'H'
   0x00, 0x0C, 0x0C, 0xFC, 0xFC, 0x0C, 0x0C, 0x00, 0x00, 0x18, 0x18, 0x1F, 0x1F, 0x18, 0x18, 0x00, // [ 73] 'I'
   0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0xFC, 0x00, 0x0C, 0x1C, 0x18, 0x18, 0x1C, 0x0F, 0x03, 0x00, // [ 74] 'J'
   0xFC, 0xFC, 0xC0, 0xE0, 0x38, 0x1C, 0x04, 0x00, 0x1F, 0x1F, 0x01, 0x03, 0x0F, 0x1E, 0x18, 0x00, // [ 75] 'K'
   0xFC, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x1F, 0x18, 0x18, 0x18, 0x18, 0x18, 0x00, // [ 76] 'L'
   0xFC, 0x3C, 0xF8, 0xE0, 0x3C, 0xFC, 0xFC, 0x00, 0x1F, 0x1E, 0x01, 0x01, 0x00, 0x1F, 0x1F, 0x00, // [ 77] 'M'
   0xFC, 0xFC, 0xF0, 0xC0, 0x00, 0xFC, 0xFC, 0x00, 0x1F, 0x1F, 0x01, 0x03, 0x06, 0x1F, 0x1F, 0x00, // [ 78] 'N'
   0xF8, 0xFC, 0x0C, 0x0C, 0x0C, 0xF8, 0xF0, 0x00, 0x0F, 0x1F, 0x18, 0x18, 0x18, 0x1F, 0x07, 0x00, // [ 79] 'O'
   0xFC, 0xFC, 0x8C, 0x8C, 0x8C, 0xF8, 0x70, 0x00, 0x1F, 0x1F, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, // [ 80] 'P'
   0xF8, 0xFC, 0x0C, 0x0C, 0x0C, 0xF8, 0xF0, 0x00, 0x0F, 0x1F, 0x18, 0x18, 0x18, 0x3F, 0x67, 0x00, // [ 81] 'Q'
   0xFC, 0xFC, 0x8C, 0x8C, 0x8C, 0xF8, 0x70, 0x00, 0x1F, 0x1F, 0x01, 0x03, 0x0F, 0x1E, 0x10, 0x00, // [ 82] 'R'
   0x78, 0xFC, 0xCC, 0x8C, 0x8C, 0x98, 0x10, 0x00, 0x0C, 0x1C, 0x18, 0x18, 0x19, 0x1F, 0x0F, 0x00, // [ 83] 'S'
   0x0C, 0x0C, 0xFC, 0xFC, 0x0C, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x1F, 0x00, 0x00, 0x00, 0x00, // [ 84] 'T'
   0xFC, 0xFC, 0x00, 0x00, 0x00, 0xFC, 0xFC, 0x00, 0x0F, 0x1F, 0x18, 0x18, 0x18, 0x1F, 0x07, 0x00, // [ 85] 'U'
   0x3C, 0xFC, 0xC0, 0x00, 0xC0, 0xFC, 0x3C, 0x00, 0x00, 0x01, 0x07, 0x1C, 0x07, 0x01, 0x00, 0x00, // [ 86] 'V'
   0xFC, 0x7C, 0x80, 0x80, 0x00, 0xFC, 0xFC, 0x00, 0x1F, 0x1E, 0x07, 0x03, 0x1E, 0x1F, 0x0F, 0x00, // [ 87] 'W'
   0x0C, 0x3C, 0xF0, 0xE0, 0x38, 0x0C, 0x04, 0x00, 0x18, 0x1E, 0x07, 0x03, 0x0E, 0x1C, 0x18, 0x00, // [ 88] 'X'
   0x1C, 0x7C, 0xE0, 0xC0, 0xF0, 0x3C, 0x0C, 0x00, 0x00, 0x00, 0x1F, 0x1F, 0x01, 0x00, 0x00, 0x00, // [ 89] 'Y'
   0x0C, 0x0C, 0x8C, 0xEC, 0x7C, 0x1C, 0x0C, 0x00, 0x1C, 0x1E, 0x1B, 0x19, 0x18, 0x18, 0x18, 0x00, // [ 90] 'Z'
   0x00, 0x00, 0x00, 0xFE, 0xFE, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x7F, 0x60, 0x00, 0x00, // [ 91] '['
   0x00, 0x00, 0x1C, 0xFC, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x1F, 0x10, 0x00, // [ 92] '\'
   0x00, 0x00, 0x02, 0xFE, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x7F, 0x7F, 0x00, 0x00, 0x00, // [ 93] ']'
   0x00, 0x08, 0x04, 0x02, 0x04, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 94] '^'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x00, // [ 95] '_'
   0x00, 0x00, 0x06, 0x0E, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 96] '`'
   0x40, 0x60, 0x60, 0x60, 0xE0, 0xC0, 0x00, 0x00, 0x0E, 0x1F, 0x19, 0x19, 0x1F, 0x1F, 0x10, 0x00, // [ 97] 'a'
   0xFC, 0xFC, 0x60, 0x60, 0x60, 0xC0, 0x00, 0x00, 0x1F, 0x1F, 0x18, 0x18, 0x18, 0x0F, 0x03, 0x00, // [ 98] 'b'
   0x00, 0xC0, 0xE0, 0x60, 0x60, 0x60, 0xC0, 0x00, 0x00, 0x0F, 0x1F, 0x18, 0x18, 0x18, 0x0C, 0x00, // [ 99] 'c'
   0x00, 0xC0, 0xE0, 0x60, 0x60, 0xFC, 0xFC, 0x00, 0x00, 0x0F, 0x1F, 0x18, 0x18, 0x0F, 0x1F, 0x00, // [100] 'd'
   0xC0, 0xC0, 0x60, 0x60, 0x60, 0xC0, 0x80, 0x00, 0x0F, 0x0F, 0x1B, 0x1B, 0x1B, 0x1B, 0x0B, 0x00, // [101] 'e'
   0x60, 0x60, 0xFC, 0xFC, 0x66, 0x66, 0x04, 0x00, 0x00, 0x00, 0x1F, 0x1F, 0x00, 0x00, 0x00, 0x00, // [102] 'f'
   0xC0, 0xE0, 0x60, 0x60, 0x40, 0xE0, 0xC0, 0x00, 0x4F, 0xDF, 0xD8, 0xD8, 0xE8, 0x7F, 0x1F, 0x00, // [103] 'g'
   0xFC, 0xFC, 0x40, 0x60, 0x60, 0xE0, 0x80, 0x00, 0x1F, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0x1F, 0x00, // [104] 'h'
   0x60, 0x60, 0x64, 0xEC, 0xE4, 0x00, 0x00, 0x00, 0x18, 0x18, 0x18, 0x1F, 0x1F, 0x18, 0x18, 0x00, // [105] 'i'
   0x00, 0x00, 0x60, 0x60, 0xEC, 0xEC, 0x00, 0x00, 0x40, 0xC0, 0xC0, 0xC0, 0xFF, 0x7F, 0x00, 0x00, // [106] 'j'
   0xFC, 0xFC, 0x80, 0xC0, 0xE0, 0x60, 0x20, 0x00, 0x1F, 0x1F, 0x03, 0x07, 0x0E, 0x18, 0x10, 0x00, // [107] 'k'
   0x0C, 0x0C, 0x0C, 0xFC, 0xFC, 0x00, 0x00, 0x00, 0x18, 0x18, 0x18, 0x1F, 0x1F, 0x18, 0x18, 0x00, // [108] 'l'
   0xE0, 0x60, 0xC0, 0xE0, 0x60, 0xE0, 0xC0, 0x00, 0x1F, 0x1E, 0x01, 0x01, 0x00, 0x1F, 0x1F, 0x00, // [109] 'm'
   0xE0, 0xE0, 0x60, 0x60, 0x60, 0xE0, 0x80, 0x00, 0x1F, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0x1F, 0x00, // [110] 'n'
   0xC0, 0xE0, 0x60, 0x60, 0x60, 0xC0, 0x80, 0x00, 0x0F, 0x1F, 0x18, 0x18, 0x18, 0x0F, 0x07, 0x00, // [111] 'o'
   0xE0, 0xE0, 0x60, 0x60, 0xE0, 0xC0, 0x00, 0x00, 0xFF, 0xFF, 0x18, 0x18, 0x1C, 0x0F, 0x03, 0x00, // [112] 'p'
   0x00, 0xC0, 0xE0, 0x60, 0x60, 0xC0, 0xE0, 0x00, 0x00, 0x0F, 0x1F, 0x18, 0x18, 0xFF, 0xFF, 0x00, // [113] 'q'
   0x00, 0xE0, 0xE0, 0x40, 0x60, 0x60, 0x20, 0x00, 0x00, 0x1F, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, // [114] 'r'
   0xC0, 0xE0, 0x60, 0x60, 0x60, 0xC0, 0x80, 0x00, 0x0C, 0x1D, 0x19, 0x1B, 0x1A, 0x0E, 0x04, 0x00, // [115] 's'
   0x60, 0xF8, 0x78, 0x60, 0x60, 0x60, 0x00, 0x00, 0x00, 0x0F, 0x1F, 0x18, 0x18, 0x18, 0x18, 0x00, // [116] 't'
   0xE0, 0xE0, 0x00, 0x00, 0x00, 0xE0, 0xE0, 0x00, 0x0F, 0x1F, 0x18, 0x18, 0x08, 0x1F, 0x1F, 0x00, // [117] 'u'
   0xE0, 0xE0, 0x00, 0x00, 0xC0, 0xE0, 0x20, 0x00, 0x00, 0x07, 0x1E, 0x1C, 0x0F, 0x01, 0x00, 0x00, // [118] 'v'
   0xE0, 0xE0, 0x00, 0x00, 0x00, 0xE0, 0xE0, 0x00, 0x1F, 0x19, 0x0E, 0x1E, 0x18, 0x1F, 0x0F, 0x00, // [119] 'w'
   0x20, 0xE0, 0xC0, 0x80, 0xC0, 0x60, 0x20, 0x00, 0x10, 0x1C, 0x0F, 0x07, 0x0F, 0x1C, 0x10, 0x00, // [120] 'x'
   0xE0, 0xE0, 0x00, 0x00, 0x80, 0xE0, 0x60, 0x00, 0xC0, 0xC3, 0xFF, 0x3C, 0x0F, 0x03, 0x00, 0x00, // [121] 'y'
   0x60, 0x60, 0x60, 0xE0, 0xE0, 0xE0, 0x20, 0x00, 0x18, 0x1C, 0x1F, 0x1B, 0x19, 0x18, 0x18, 0x00, // [122] 'z'
   0x00, 0x80, 0xC0, 0x7C, 0x3E, 0x02, 0x00, 0x00, 0x00, 0x00, 0x01, 0x3F, 0x7E, 0x40, 0x00, 0x00, // [123] '{'
   0x00, 0x00, 0x00, 0x7E, 0x7E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x7E, 0x00, 0x00, 0x00, // [124] '|'
   0x00, 0x00, 0x02, 0x3E, 0x7C, 0xC0, 0x80, 0x00, 0x00, 0x00, 0x40, 0x7E, 0x3F, 0x01, 0x00, 0x00, // [125] '}'
   0x00, 0x04, 0x02, 0x02, 0x04, 0x08, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [126] '~'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [127] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [128] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [129] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [130] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [131] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [132] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [133] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [134] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [135] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [136] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [137] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [138] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [139] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [140] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [141] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [142] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [143] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [144] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [145] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [146] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [147] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [148] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [149] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [150] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [151] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [152] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [153] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [154] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [155] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [156] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [157] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [158] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [159] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, // [160] '*ｰ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x12, 0x12, 0x1E, 0x00, 0x00, 0x00, 0x00, // [161] '*｡'
   0x00, 0x00, 0x00, 0x00, 0xF8, 0x08, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, // [162] '*｢'
   0x00, 0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x10, 0x10, 0x10, 0x1F, 0x00, 0x00, 0x00, 0x00, // [163] '*｣'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x06, 0x0C, 0x18, 0x10, 0x00, 0x00, 0x00, // [164] '*､'
   0x00, 0x80, 0xC0, 0xC0, 0xC0, 0x80, 0x00, 0x00, 0x00, 0x01, 0x03, 0x03, 0x03, 0x01, 0x00, 0x00, // [165] '*･'
   0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0xF8, 0x00, 0x10, 0x10, 0x10, 0x10, 0x08, 0x04, 0x03, 0x00, // [166] '*ｦ'
   0x40, 0x40, 0x40, 0x40, 0x40, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x10, 0x0E, 0x01, 0x00, 0x00, 0x00, // [167] '*ｧ'
   0x00, 0x00, 0x00, 0x00, 0x80, 0x40, 0x00, 0x00, 0x08, 0x04, 0x02, 0x1F, 0x00, 0x00, 0x00, 0x00, // [168] '*ｨ'
   0x80, 0x80, 0x80, 0xC0, 0x80, 0x80, 0x00, 0x00, 0x01, 0x10, 0x10, 0x10, 0x08, 0x07, 0x00, 0x00, // [169] '*ｩ'
   0x40, 0x40, 0x40, 0xC0, 0x40, 0x40, 0x00, 0x00, 0x10, 0x10, 0x10, 0x1F, 0x10, 0x10, 0x00, 0x00, // [170] '*ｪ'
   0x80, 0x80, 0x80, 0xC0, 0x80, 0x80, 0x00, 0x00, 0x08, 0x04, 0x02, 0x1F, 0x00, 0x00, 0x00, 0x00, // [171] '*ｫ'
   0x00, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x07, 0x19, 0x01, 0x05, 0x03, 0x00, 0x00, // [172] '*ｬ'
   0x40, 0x40, 0x40, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x10, 0x10, 0x10, 0x1F, 0x10, 0x10, 0x00, 0x00, // [173] '*ｭ'
   0x40, 0x40, 0x40, 0x40, 0x40, 0xC0, 0x00, 0x00, 0x12, 0x12, 0x12, 0x12, 0x12, 0x1F, 0x00, 0x00, // [174] '*ｮ'
   0xC0, 0x00, 0xC0, 0x00, 0x00, 0xC0, 0x00, 0x00, 0x11, 0x10, 0x11, 0x10, 0x08, 0x07, 0x00, 0x00, // [175] '*ｯ'
   0x00, 0x06, 0x09, 0x09, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [176] '°'
   0x20, 0x20, 0x20, 0x20, 0x20, 0xA0, 0x60, 0x00, 0x00, 0x00, 0x10, 0x0E, 0x01, 0x00, 0x00, 0x00, // [177] '*ｱ'
   0x00, 0x00, 0x80, 0xC0, 0x20, 0x10, 0x08, 0x00, 0x02, 0x01, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x00, // [178] '*ｲ'
   0xE0, 0x20, 0x20, 0x38, 0x20, 0x20, 0xE0, 0x00, 0x01, 0x00, 0x10, 0x10, 0x08, 0x04, 0x03, 0x00, // [179] '*ｳ'
   0x20, 0x20, 0x20, 0xE0, 0x20, 0x20, 0x20, 0x00, 0x10, 0x10, 0x10, 0x1F, 0x10, 0x10, 0x10, 0x00, // [180] '*ｴ'
   0x20, 0x20, 0x20, 0xA0, 0xF8, 0x20, 0x20, 0x00, 0x04, 0x02, 0x01, 0x00, 0x1F, 0x00, 0x00, 0x00, // [181] '*ｵ'
   0x20, 0x20, 0x20, 0xF8, 0x20, 0x20, 0xE0, 0x00, 0x00, 0x18, 0x06, 0x01, 0x00, 0x10, 0x1F, 0x00, // [182] '*ｶ'
   0x20, 0x20, 0x20, 0xF8, 0x20, 0x20, 0x20, 0x00, 0x01, 0x01, 0x01, 0x1F, 0x01, 0x01, 0x01, 0x00, // [183] '*ｷ'
   0x00, 0x00, 0x80, 0x40, 0x20, 0x20, 0xE0, 0x00, 0x02, 0x11, 0x10, 0x10, 0x08, 0x04, 0x03, 0x00, // [184] '*ｸ'
   0x80, 0x40, 0x38, 0x20, 0xE0, 0x20, 0x20, 0x00, 0x00, 0x00, 0x10, 0x08, 0x07, 0x00, 0x00, 0x00, // [185] '*ｹ'
   0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0xE0, 0x00, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x1F, 0x00, // [186] '*ｺ'
   0x20, 0x20, 0xF8, 0x20, 0x20, 0xF8, 0x20, 0x00, 0x00, 0x00, 0x11, 0x10, 0x08, 0x07, 0x00, 0x00, // [187] '*ｻ'
   0x20, 0x20, 0x20, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x11, 0x11, 0x11, 0x10, 0x10, 0x08, 0x07, 0x00, // [188] '*ｼ'
   0x20, 0x20, 0x20, 0x20, 0x20, 0xA0, 0x60, 0x00, 0x10, 0x08, 0x04, 0x02, 0x05, 0x08, 0x10, 0x00, // [189] '*ｽ'
   0x20, 0xF8, 0x20, 0x20, 0x20, 0xA0, 0x60, 0x00, 0x00, 0x0F, 0x10, 0x10, 0x10, 0x10, 0x08, 0x00, // [190] '*ｾ'
   0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x11, 0x10, 0x10, 0x10, 0x10, 0x08, 0x07, 0x00, // [191] '*ｿ'
   0x00, 0x00, 0x80, 0x40, 0x20, 0x20, 0xE0, 0x00, 0x02, 0x11, 0x10, 0x11, 0x0A, 0x04, 0x03, 0x00, // [192] '*ﾀ'
   0x00, 0x40, 0x20, 0xE0, 0x20, 0x10, 0x00, 0x00, 0x01, 0x11, 0x09, 0x07, 0x01, 0x01, 0x01, 0x00, // [193] '*ﾁ'
   0xE0, 0x00, 0x00, 0xE0, 0x00, 0x00, 0xE0, 0x00, 0x11, 0x10, 0x10, 0x11, 0x10, 0x08, 0x07, 0x00, // [194] '*ﾂ'
   0x80, 0x80, 0xA0, 0xA0, 0xA0, 0x80, 0x80, 0x00, 0x10, 0x10, 0x08, 0x07, 0x00, 0x00, 0x00, 0x00, // [195] '*ﾃ'
   0x00, 0x00, 0xF8, 0x40, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, 0x01, 0x00, 0x00, // [196] '*ﾄ'
   0x20, 0x20, 0x20, 0x20, 0xF8, 0x20, 0x20, 0x00, 0x00, 0x10, 0x08, 0x04, 0x03, 0x00, 0x00, 0x00, // [197] '*ﾅ'
   0x00, 0x20, 0x20, 0x20, 0x20, 0x20, 0x00, 0x00, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x00, // [198] '*ﾆ'
   0x20, 0x20, 0x20, 0x20, 0x20, 0xA0, 0x60, 0x00, 0x10, 0x08, 0x05, 0x02, 0x05, 0x00, 0x00, 0x00, // [199] '*ﾇ'
   0x20, 0x20, 0x20, 0x38, 0xA0, 0x60, 0x20, 0x00, 0x10, 0x0C, 0x02, 0x1F, 0x02, 0x0C, 0x10, 0x00, // [200] '*ﾈ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x10, 0x10, 0x10, 0x10, 0x0C, 0x03, 0x00, 0x00, // [201] '*ﾉ'
   0x00, 0xC0, 0x38, 0x00, 0x38, 0xC0, 0x00, 0x00, 0x1E, 0x01, 0x00, 0x00, 0x00, 0x01, 0x1E, 0x00, // [202] '*ﾊ'
   0xF8, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x00, 0x07, 0x08, 0x10, 0x10, 0x10, 0x10, 0x10, 0x00, // [203] '*ﾋ'
   0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0xE0, 0x00, 0x10, 0x10, 0x10, 0x10, 0x10, 0x08, 0x07, 0x00, // [204] '*ﾌ'
   0x00, 0x80, 0x60, 0x18, 0x60, 0x80, 0x00, 0x00, 0x02, 0x01, 0x00, 0x00, 0x00, 0x01, 0x06, 0x00, // [205] '*ﾍ'
   0x20, 0x20, 0x20, 0xF8, 0x20, 0x20, 0x20, 0x00, 0x0C, 0x03, 0x00, 0x1F, 0x00, 0x03, 0x0C, 0x00, // [206] '*ﾎ'
   0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0xE0, 0x00, 0x00, 0x00, 0x04, 0x08, 0x14, 0x02, 0x01, 0x00, // [207] '*ﾏ'
   0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x00, 0x11, 0x11, 0x11, 0x11, 0x11, 0x11, 0x11, 0x00, // [208] '*ﾐ'
   0x00, 0x80, 0x70, 0x08, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x13, 0x08, 0x08, 0x0A, 0x0C, 0x08, 0x00, // [209] '*ﾑ'
   0x00, 0x40, 0x80, 0x00, 0xC0, 0x30, 0x08, 0x00, 0x10, 0x10, 0x0C, 0x03, 0x04, 0x08, 0x10, 0x00, // [210] '*ﾒ'
   0x40, 0x48, 0xF8, 0x48, 0x48, 0x48, 0x40, 0x00, 0x00, 0x00, 0x0F, 0x10, 0x10, 0x10, 0x00, 0x00, // [211] '*ﾓ'
   0x18, 0xA0, 0xC0, 0x40, 0x40, 0x20, 0xF0, 0x00, 0x01, 0x00, 0x03, 0x0C, 0x10, 0x00, 0x00, 0x00, // [212] '*ﾔ'
   0x20, 0x20, 0x20, 0x20, 0xE0, 0x00, 0x00, 0x00, 0x10, 0x10, 0x10, 0x10, 0x1F, 0x10, 0x10, 0x00, // [213] '*ﾕ'
   0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0xE0, 0x00, 0x11, 0x11, 0x11, 0x11, 0x11, 0x11, 0x1F, 0x00, // [214] '*ﾖ'
   0x40, 0x48, 0x48, 0x48, 0x48, 0x48, 0xC0, 0x00, 0x10, 0x10, 0x10, 0x10, 0x10, 0x08, 0x07, 0x00, // [215] '*ﾗ'
   0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x01, 0x10, 0x10, 0x10, 0x10, 0x08, 0x07, 0x00, // [216] '*ﾘ'
   0x00, 0xE0, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x10, 0x1F, 0x00, 0x1F, 0x10, 0x08, 0x04, 0x00, // [217] '*ﾙ'
   0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x10, 0x08, 0x08, 0x04, 0x02, 0x01, 0x00, // [218] '*ﾚ'
   0xC0, 0x40, 0x40, 0x40, 0x40, 0x40, 0xC0, 0x00, 0x1F, 0x10, 0x10, 0x10, 0x10, 0x10, 0x1F, 0x00, // [219] '*ﾛ'
   0xE0, 0x20, 0x20, 0x20, 0x20, 0x20, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x10, 0x10, 0x08, 0x07, 0x00, // [220] '*ﾜ'
   0x20, 0x20, 0x20, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x10, 0x10, 0x10, 0x10, 0x10, 0x08, 0x07, 0x00, // [221] '*ﾝ'
   0x78, 0x00, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [222] '*ﾞ'
   0x78, 0x48, 0x48, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [223] '*ﾟ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [224] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [225] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [226] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [227] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [228] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [229] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [230] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [231] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [232] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [233] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [234] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [235] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [236] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [237] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [238] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [239] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [240] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [241] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [242] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [243] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [244] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [245] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [246] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [247] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [248] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [249] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [250] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [251] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [252] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [253] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [254] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00  // [255] 'FREE'
};


const uint8_t font_16x32[] = {
   0x00, 0x00, // Ignored.
   32        , // first char ASCII code.
   255       , // last char ASCII code.
   16        , // width of the character in pixels.
   32        , // height of the character in pixels.
   4         , // number of line of bytes per character.
   64        , // bytes per character (normally width * height / 8).
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 32] ' '
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe3, 0xe3, 0xe3, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 33] '!'
   0x00, 0x00, 0x00, 0x00, 0xe0, 0xe0, 0x00, 0x00, 0x00, 0xe0, 0xe0, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x0f, 0x0f, 0x00, 0x00, 0x00, 0x0f, 0x0f, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 34] '"'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00,
   0x00, 0x30, 0x30, 0x30, 0xf0, 0xff, 0x7f, 0x33, 0x30, 0xf0, 0xff, 0x3f, 0x31, 0x30, 0x30, 0x00,
   0x00, 0x0c, 0x0c, 0xfc, 0xff, 0x1f, 0x0c, 0x0c, 0xfc, 0xff, 0x0f, 0x0c, 0x0c, 0x0c, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 35] '#'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0xf0, 0xf0, 0xf0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x18, 0x7e, 0xff, 0xff, 0xc7, 0xc3, 0x83, 0x83, 0x07, 0x1f, 0x1f, 0x1e, 0x00, 0x00,
   0x00, 0x00, 0x70, 0xf0, 0xf0, 0xc1, 0x81, 0x83, 0x83, 0x83, 0xc7, 0xff, 0xfe, 0xfc, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x03, 0x0f, 0x0f, 0x03, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, // [ 36] '$'
   0x00, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x06, 0x1f, 0x3f, 0x30, 0x30, 0x3f, 0x1f, 0xcf, 0xf0, 0x7c, 0x1f, 0x06, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x30, 0x3c, 0x0f, 0x03, 0xfc, 0xfe, 0xce, 0x86, 0x86, 0xfe, 0xfc, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, // [ 37] '%'
   0x00, 0x00, 0x00, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x3f, 0xff, 0xff, 0xe1, 0xe1, 0x71, 0x3f, 0x1f, 0x0e, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x3c, 0xfe, 0xff, 0xff, 0xc3, 0xc3, 0xc7, 0xdf, 0xfe, 0xfc, 0xf8, 0xff, 0xdf, 0x8f, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, // [ 38] '&'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xe0, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0x0f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 39] '''
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xe0, 0xf0, 0x78, 0x1c, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xe0, 0xfe, 0xff, 0x1f, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x03, 0x3f, 0xff, 0xfc, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x03, 0x07, 0x0e, 0x1c, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 40] '('
   0x00, 0x00, 0x00, 0x00, 0x1c, 0x38, 0xf0, 0xe0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1f, 0xff, 0xfe, 0xe0, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xfc, 0xff, 0x3f, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x1c, 0x0f, 0x07, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 41] ')'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x70, 0x60, 0xe0, 0xc0, 0xc0, 0xfe, 0xfe, 0x9e, 0xc0, 0xc0, 0xe0, 0x60, 0x50, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x18, 0x3c, 0x1e, 0x07, 0x03, 0x07, 0x1e, 0x3c, 0x18, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 42] '*'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xfe, 0xfe, 0xfe, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x3f, 0x3f, 0x3f, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 43] '+'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x38, 0x3f, 0x1f, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 44] ','
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 45] '-'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xf0, 0xf0, 0xf0, 0xe0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 46] '.'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xe0, 0xe0, 0x20, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xf8, 0xff, 0x7f, 0x0f, 0x01, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x80, 0xf0, 0xfe, 0xff, 0x1f, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 47] '/'
   0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xfe, 0xff, 0xff, 0x07, 0x81, 0x81, 0xc1, 0xe3, 0xff, 0xff, 0xff, 0xf8, 0x00, 0x00,
   0x00, 0x00, 0x3f, 0x7f, 0xff, 0xf7, 0xc3, 0xc1, 0xc0, 0xe0, 0xff, 0xff, 0x7f, 0x1f, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 48] '0'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x1e, 0x0e, 0x0e, 0x07, 0x07, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 49] '1'
   0x00, 0x00, 0x00, 0x80, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x0e, 0x0f, 0x0f, 0x07, 0x01, 0x01, 0x01, 0xc1, 0xe3, 0xff, 0xff, 0x3e, 0x00, 0x00, 0x00,
   0x00, 0xc0, 0xe0, 0xf0, 0xf8, 0xfc, 0xde, 0xcf, 0xc7, 0xc3, 0xc1, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, // [ 50] '2'
   0x00, 0x00, 0x00, 0x80, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x04, 0x07, 0x07, 0x07, 0xc3, 0xc1, 0xc1, 0xc1, 0xe3, 0xff, 0x7f, 0x3f, 0x0c, 0x00, 0x00,
   0x00, 0x30, 0x70, 0xf0, 0xf0, 0xe1, 0xc1, 0xc1, 0xc1, 0xc1, 0xff, 0xff, 0x7f, 0x3c, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 51] '3'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0xc0, 0xe0, 0xf8, 0x7e, 0x1f, 0x07, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x1c, 0x1f, 0x1f, 0x1f, 0x1c, 0x1c, 0x1c, 0x1c, 0xff, 0xff, 0xff, 0x1c, 0x1c, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, // [ 52] '4'
   0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xfc, 0xff, 0xff, 0xff, 0x71, 0x71, 0x71, 0xf1, 0xe1, 0xe1, 0xc1, 0x00, 0x00, 0x00,
   0x00, 0x08, 0x70, 0xf0, 0xf0, 0xe0, 0xc0, 0xc0, 0xc0, 0xe0, 0xff, 0xff, 0x7f, 0x1f, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 53] '5'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0xc0, 0xf8, 0xfe, 0xff, 0xef, 0x63, 0x73, 0x71, 0xf1, 0xe1, 0xe0, 0xc0, 0x00, 0x00, 0x00,
   0x00, 0x0f, 0x3f, 0x7f, 0xff, 0xe0, 0xc0, 0xc0, 0xc0, 0xe0, 0xff, 0xff, 0x7f, 0x1f, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 54] '6'
   0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x81, 0xe1, 0xfd, 0xff, 0x3f, 0x07, 0x01, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xe0, 0xf8, 0xfe, 0x7f, 0x1f, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 55] '7'
   0x00, 0x00, 0x00, 0x80, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x3f, 0x7f, 0xff, 0xe3, 0xc1, 0xc1, 0xc1, 0xe3, 0xff, 0x7f, 0x3f, 0x00, 0x00, 0x00,
   0x00, 0x18, 0x7e, 0xff, 0xff, 0xe3, 0xc1, 0xc1, 0xc1, 0xe3, 0xff, 0xff, 0x7e, 0x3c, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 56] '8'
   0x00, 0x00, 0x00, 0x80, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x7c, 0xff, 0xff, 0xff, 0x83, 0x01, 0x01, 0x01, 0x83, 0xff, 0xff, 0xfe, 0xf0, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x03, 0xc3, 0xc7, 0xc7, 0xc7, 0xe3, 0xfb, 0x7f, 0x3f, 0x0f, 0x01, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 57] '9'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x7c, 0x7c, 0x7c, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xf0, 0xf0, 0xf0, 0xe0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 58] ':'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x7c, 0x7c, 0x7c, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x38, 0x3f, 0x1f, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 59] ';'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xe0, 0xe0, 0x70, 0x70, 0x70, 0x38, 0x38, 0x3c, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x03, 0x03, 0x07, 0x07, 0x07, 0x0e, 0x0e, 0x1e, 0x1c, 0x1c, 0x3c, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 60] '<'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x00, 0x00,
   0x00, 0x00, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 61] '='
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x3c, 0x38, 0x38, 0x70, 0x70, 0x70, 0xe0, 0xe0, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x3c, 0x1c, 0x1c, 0x1e, 0x0e, 0x0e, 0x07, 0x07, 0x07, 0x03, 0x03, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 62] '>'
   0x00, 0x00, 0x00, 0x80, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x06, 0x07, 0x07, 0x07, 0x01, 0x81, 0xc1, 0xe1, 0xff, 0x7f, 0x3f, 0x1e, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe6, 0xe7, 0xe7, 0xc7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 63] '?'
   0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00,
   0x00, 0xf8, 0xfe, 0x0f, 0x83, 0xe1, 0xf0, 0x18, 0x18, 0xf8, 0xf8, 0x01, 0x07, 0xfe, 0xf8, 0x00,
   0x00, 0x3f, 0x7f, 0xe0, 0xc7, 0x9f, 0x9c, 0x98, 0x88, 0x8f, 0xdf, 0x18, 0x1c, 0x0f, 0x01, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 64] '@'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x80, 0xf0, 0xfe, 0xff, 0x1f, 0x1f, 0xff, 0xfe, 0xf0, 0x80, 0x00, 0x00, 0x00,
   0x00, 0xe0, 0xfc, 0xff, 0xff, 0x1f, 0x1d, 0x1c, 0x1c, 0x1d, 0x1f, 0xff, 0xff, 0xfc, 0xe0, 0x00,
   0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, // [ 65] 'A'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xe3, 0xff, 0x7f, 0x3f, 0x08, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc3, 0xff, 0xff, 0x7f, 0x3c, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, // [ 66] 'B'
   0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0xf8, 0xfe, 0xff, 0xff, 0x03, 0x01, 0x01, 0x01, 0x01, 0x03, 0x0f, 0x0f, 0x0e, 0x10, 0x00,
   0x00, 0x0f, 0x3f, 0x7f, 0xff, 0xe0, 0xc0, 0xc0, 0xc0, 0xc0, 0xe0, 0xf8, 0x78, 0x38, 0x04, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 67] 'C'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x01, 0x01, 0x01, 0x01, 0x03, 0x0f, 0xff, 0xfe, 0xfc, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0xc0, 0xc0, 0xc0, 0xc0, 0xe0, 0xf8, 0x7f, 0x3f, 0x1f, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 68] 'D'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0x01, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, // [ 69] 'E'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0x01, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 70] 'F'
   0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0xf8, 0xfe, 0xff, 0xff, 0x03, 0x01, 0x01, 0x81, 0x81, 0x83, 0x8f, 0x8f, 0x8e, 0x00, 0x00,
   0x00, 0x0f, 0x3f, 0x7f, 0xff, 0xe0, 0xc0, 0xc0, 0xc3, 0xc3, 0xc3, 0xff, 0xff, 0x7f, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 71] 'G'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x01, 0x01, 0x01, 0x01, 0x01, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, // [ 72] 'H'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0xff, 0xff, 0xff, 0xff, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xff, 0xff, 0xff, 0xff, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, // [ 73] 'I'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x08, 0x78, 0xf8, 0xf8, 0xe0, 0xc0, 0xc0, 0xc0, 0xe0, 0xff, 0xff, 0x7f, 0x1f, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 74] 'J'
   0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0x40, 0x00,
   0x00, 0xff, 0xff, 0xff, 0xc0, 0xe0, 0xf0, 0xfc, 0xfe, 0x1f, 0x0f, 0x03, 0x01, 0x00, 0x00, 0x00,
   0x00, 0xff, 0xff, 0xff, 0x07, 0x03, 0x03, 0x0f, 0x1f, 0x7f, 0xfc, 0xf8, 0xe0, 0x80, 0x00, 0x00,
   0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, // [ 75] 'K'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, // [ 76] 'L'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x3f, 0xff, 0xf0, 0xf8, 0xff, 0x1f, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x01, 0x07, 0x07, 0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, // [ 77] 'M'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x80, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x3f, 0xfe, 0xf0, 0xc0, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x00, 0x03, 0x1f, 0x7f, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, // [ 78] 'N'
   0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0xf8, 0xfe, 0xff, 0xff, 0x03, 0x01, 0x01, 0x01, 0x03, 0x07, 0xff, 0xff, 0xfe, 0xe0, 0x00,
   0x00, 0x0f, 0x3f, 0xff, 0xff, 0xe0, 0xc0, 0xc0, 0xc0, 0xe0, 0xf0, 0xff, 0x7f, 0x3f, 0x03, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 79] 'O'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x81, 0x81, 0x81, 0x81, 0x81, 0xc3, 0xff, 0xff, 0xff, 0x3c, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x01, 0x01, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 80] 'P'
   0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0xf8, 0xfe, 0xff, 0xff, 0x03, 0x01, 0x01, 0x01, 0x01, 0x07, 0xff, 0xff, 0xfe, 0xf0, 0x00,
   0x00, 0x0f, 0x3f, 0x7f, 0xff, 0xe0, 0xc0, 0xc0, 0xc0, 0xc0, 0xf0, 0xff, 0xff, 0x3f, 0x07, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x03, 0x07, 0x07, 0x0f, 0x06, 0x00, // [ 81] 'Q'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x81, 0x81, 0x81, 0x81, 0x81, 0xc3, 0xff, 0xff, 0x7f, 0x18, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x03, 0x03, 0x03, 0x07, 0x1f, 0x7f, 0xfd, 0xf0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, // [ 82] 'R'
   0x00, 0x00, 0x00, 0x80, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x3f, 0x7f, 0xff, 0xf3, 0xe1, 0xc1, 0xc1, 0xc1, 0x83, 0x8f, 0x0f, 0x0f, 0x0c, 0x00,
   0x00, 0x18, 0x78, 0xf8, 0xf8, 0xe0, 0xc1, 0xc1, 0xc1, 0xc3, 0xe3, 0xff, 0xff, 0x7e, 0x3c, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 83] 'S'
   0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x00,
   0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0xff, 0xff, 0xff, 0xff, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 84] 'T'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x00, 0x3f, 0xff, 0xff, 0xe0, 0xc0, 0xc0, 0xc0, 0xe0, 0xff, 0xff, 0x7f, 0x1f, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 85] 'U'
   0x40, 0xc0, 0xc0, 0xc0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0x00,
   0x00, 0x03, 0x1f, 0xff, 0xff, 0xf8, 0xc0, 0x00, 0x00, 0xe0, 0xfe, 0xff, 0x7f, 0x0f, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x0f, 0x7f, 0xff, 0xfc, 0xfe, 0xff, 0x3f, 0x07, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 86] 'V'
   0x40, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00,
   0x00, 0x7f, 0xff, 0xff, 0xc0, 0xe0, 0xff, 0xff, 0xff, 0xfe, 0x00, 0xfc, 0xff, 0xff, 0x0f, 0x00,
   0x00, 0x00, 0x3f, 0xff, 0xff, 0xff, 0x3f, 0x00, 0x03, 0xff, 0xff, 0xff, 0xff, 0x0f, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, // [ 87] 'W'
   0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xc0, 0xc0, 0xc0, 0x00,
   0x00, 0x00, 0x03, 0x07, 0x1f, 0x7f, 0xfc, 0xf0, 0xf8, 0xfe, 0x7f, 0x1f, 0x07, 0x03, 0x00, 0x00,
   0x00, 0x80, 0xe0, 0xf8, 0xfc, 0x7f, 0x1f, 0x07, 0x07, 0x1f, 0x7f, 0xfc, 0xf0, 0xe0, 0x80, 0x00,
   0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, // [ 88] 'X'
   0x40, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0x40,
   0x00, 0x00, 0x03, 0x1f, 0x7f, 0xfe, 0xf8, 0xe0, 0xe0, 0xf8, 0xfe, 0x7f, 0x1f, 0x03, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xff, 0xff, 0xff, 0xff, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 89] 'Y'
   0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0xc1, 0xe1, 0xf9, 0xfd, 0x3f, 0x1f, 0x07, 0x03, 0x00, 0x00,
   0x00, 0xc0, 0xe0, 0xf8, 0xfc, 0xff, 0xdf, 0xc7, 0xc1, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x00,
   0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, // [ 90] 'Z'
   0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xf8, 0xf8, 0xf8, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0x0f, 0x0f, 0x0f, 0x0e, 0x0e, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 91] '['
   0x00, 0x00, 0x00, 0x20, 0xe0, 0xe0, 0xe0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x0f, 0x7f, 0xff, 0xf8, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x1f, 0xff, 0xfe, 0xf0, 0x80, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, // [ 92] '\'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x18, 0xf8, 0xf8, 0xf8, 0xf8, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x0e, 0x0e, 0x0f, 0x0f, 0x0f, 0x0f, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 93] ']'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xe0, 0xf0, 0xf0, 0xf0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x30, 0x3c, 0x3f, 0x07, 0x01, 0x01, 0x07, 0x3f, 0x3e, 0x30, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 94] '^'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x00, 0x00, // [ 95] '_'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x30, 0x70, 0xf0, 0xe0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 96] '`'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x60, 0x70, 0x70, 0x38, 0x38, 0x38, 0x38, 0x78, 0xf0, 0xf0, 0xe0, 0x00, 0x00, 0x00,
   0x00, 0x10, 0xfc, 0xfe, 0xfe, 0xc7, 0xc3, 0xc3, 0xc3, 0xe3, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, // [ 97] 'a'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x70, 0x30, 0x38, 0x38, 0x38, 0xf8, 0xf0, 0xe0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0xe0, 0xc0, 0xc0, 0xc0, 0xc0, 0xf0, 0xff, 0x7f, 0x3f, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 98] 'b'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xc0, 0xe0, 0xf0, 0x78, 0x38, 0x38, 0x38, 0x38, 0xf8, 0xf0, 0xe0, 0x80, 0x00, 0x00,
   0x00, 0x06, 0x3f, 0x7f, 0xff, 0xe0, 0xc0, 0xc0, 0xc0, 0xc0, 0xf0, 0xf0, 0x70, 0x30, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [ 99] 'c'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0xe0, 0xf0, 0xf0, 0x78, 0x38, 0x38, 0x38, 0x30, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x0f, 0x7f, 0xff, 0xff, 0xe0, 0xc0, 0xc0, 0xc0, 0xc0, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, // [100] 'd'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xc0, 0xe0, 0xf0, 0x78, 0x38, 0x38, 0x38, 0x38, 0x78, 0xf0, 0xe0, 0xc0, 0x00, 0x00,
   0x00, 0x06, 0x3f, 0x7f, 0xff, 0xf7, 0xc7, 0xc7, 0xc7, 0xc7, 0xc7, 0xe7, 0xe7, 0x47, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, // [101] 'e'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0x60, 0x00,
   0x00, 0x00, 0x38, 0x38, 0x38, 0xff, 0xff, 0xff, 0xff, 0x39, 0x38, 0x38, 0x38, 0x38, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [102] 'f'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xe0, 0xf0, 0xf0, 0x78, 0x38, 0x38, 0x38, 0x30, 0xf0, 0xf8, 0xf8, 0xf8, 0x00, 0x00,
   0x00, 0x06, 0x3f, 0xff, 0xff, 0xe0, 0xc0, 0xc0, 0xc0, 0xc0, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x00, 0x08, 0x1c, 0x1c, 0x39, 0x39, 0x39, 0x39, 0x3c, 0x1f, 0x1f, 0x0f, 0x03, 0x00, 0x00, // [103] 'g'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x60, 0x30, 0x38, 0x38, 0x38, 0xf8, 0xf8, 0xf0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, // [104] 'h'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x38, 0x38, 0x38, 0x39, 0xfb, 0xfb, 0xfb, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xff, 0xff, 0xff, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, // [105] 'i'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x38, 0x38, 0x38, 0xf9, 0xfb, 0xfb, 0xfb, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x38, 0x38, 0x38, 0x38, 0x3f, 0x1f, 0x1f, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, // [106] 'j'
   0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x80, 0xc0, 0xe0, 0xf0, 0xf8, 0x38, 0x18, 0x08, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x1f, 0x0f, 0x0f, 0x3f, 0x7f, 0xf8, 0xf0, 0xe0, 0x80, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, // [107] 'k'
   0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0xc0, 0xc0, 0xc0, 0xc0, 0xff, 0xff, 0xff, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, // [108] 'l'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0xf8, 0xf8, 0xf8, 0x30, 0x38, 0xf8, 0xf8, 0xf0, 0x30, 0x38, 0xf8, 0xf8, 0xf0, 0x80, 0x00,
   0x00, 0xff, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00,
   0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, // [109] 'm'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xf8, 0xf8, 0xf8, 0x60, 0x30, 0x38, 0x38, 0x38, 0xf8, 0xf8, 0xf0, 0xe0, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, // [110] 'n'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xc0, 0xf0, 0xf0, 0x78, 0x38, 0x38, 0x38, 0x38, 0xf0, 0xf0, 0xe0, 0xc0, 0x00, 0x00,
   0x00, 0x0f, 0x3f, 0xff, 0xff, 0xe0, 0xc0, 0xc0, 0xc0, 0xc0, 0xf0, 0xff, 0x7f, 0x3f, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, // [111] 'o'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xf8, 0xf8, 0xf8, 0x70, 0x30, 0x38, 0x38, 0x38, 0xf8, 0xf0, 0xe0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0xff, 0xff, 0xff, 0xe0, 0xc0, 0xc0, 0xc0, 0xc0, 0xf9, 0xff, 0x7f, 0x3f, 0x00, 0x00,
   0x00, 0x00, 0x3f, 0x3f, 0x3f, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, // [112] 'p'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xe0, 0xf0, 0xf0, 0x78, 0x38, 0x38, 0x38, 0x30, 0xf0, 0xf8, 0xf8, 0xf8, 0x00, 0x00,
   0x00, 0x07, 0x7f, 0xff, 0xff, 0xe0, 0xc0, 0xc0, 0xc0, 0xc0, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x3f, 0x3f, 0x3f, 0x3f, 0x00, 0x00, // [113] 'q'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xf8, 0xf8, 0xf8, 0xe0, 0xf0, 0x70, 0x78, 0x78, 0x78, 0x78, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [114] 'r'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xe0, 0xf0, 0xf0, 0x78, 0x38, 0x38, 0x38, 0x38, 0xf8, 0xf0, 0xf0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0x71, 0xf3, 0xf3, 0xe7, 0xc6, 0xc6, 0xc6, 0xce, 0xee, 0xfc, 0xfc, 0x78, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, // [115] 's'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x38, 0x38, 0x38, 0xff, 0xff, 0xff, 0x38, 0x38, 0x38, 0x38, 0x38, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x7f, 0xff, 0xff, 0xe0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, // [116] 't'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0xf8, 0xf8, 0xf8, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xf8, 0xf8, 0xf8, 0x00, 0x00,
   0x00, 0x00, 0x3f, 0xff, 0xff, 0xf0, 0xc0, 0xc0, 0xc0, 0xc0, 0x7f, 0xff, 0xff, 0xff, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, // [117] 'u'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x18, 0x78, 0xf8, 0xf8, 0xc0, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xf8, 0xf8, 0x38, 0x08, 0x00,
   0x00, 0x00, 0x00, 0x03, 0x1f, 0x7f, 0xfe, 0xf0, 0xf8, 0xff, 0x3f, 0x0f, 0x01, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [118] 'v'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x08, 0xf8, 0xf8, 0xf8, 0x00, 0x00, 0xf8, 0xf8, 0xf8, 0x80, 0x00, 0xe0, 0xf8, 0xf8, 0x38, 0x00,
   0x00, 0x03, 0x7f, 0xff, 0xf8, 0xff, 0x3f, 0x01, 0x0f, 0xff, 0xf0, 0xff, 0xff, 0x0f, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, // [119] 'w'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x08, 0x18, 0x38, 0xf8, 0xf0, 0xe0, 0xc0, 0x80, 0xe0, 0xf0, 0xf8, 0x78, 0x18, 0x08, 0x00,
   0x00, 0x00, 0x80, 0xe0, 0xf0, 0xfd, 0x7f, 0x1f, 0x1f, 0x3f, 0xff, 0xf0, 0xe0, 0x80, 0x00, 0x00,
   0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, // [120] 'x'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x18, 0x78, 0xf8, 0xf8, 0xe0, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xf8, 0xf8, 0xf8, 0x38, 0x08,
   0x00, 0x00, 0x00, 0x01, 0x0f, 0x3f, 0xff, 0xf8, 0xf8, 0xfe, 0x3f, 0x0f, 0x03, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x30, 0x38, 0x38, 0x3c, 0x1f, 0x0f, 0x07, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [121] 'y'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0xb8, 0xf8, 0xf8, 0xf8, 0x78, 0x38, 0x00, 0x00,
   0x00, 0x00, 0xc0, 0xf0, 0xf8, 0xfc, 0xfe, 0xdf, 0xcf, 0xc3, 0xc1, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
   0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, // [122] 'z'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xe0, 0xf0, 0x78, 0x18, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xc0, 0xc0, 0xe0, 0x7f, 0x7f, 0x3f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x03, 0xff, 0xff, 0xfe, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x03, 0x07, 0x0f, 0x0c, 0x00, 0x00, 0x00, 0x00, // [123] '{'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf0, 0xf0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3f, 0x3f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xfc, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0x0f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [124] '|'
   0x00, 0x00, 0x00, 0x00, 0x18, 0x78, 0xf0, 0xe0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3f, 0x7f, 0x7f, 0xe0, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfe, 0xff, 0xff, 0x03, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x0c, 0x0f, 0x07, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [125] '}'
   0x80, 0x80, 0xe0, 0xe0, 0x60, 0x60, 0xe0, 0xe0, 0x80, 0x80, 0xe0, 0xe0, 0x60, 0x60, 0x00, 0x00,
   0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [126] '~'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [127] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [128] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [129] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [130] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [131] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [132] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [133] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [134] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [135] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [136] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [137] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [138] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [139] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [140] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [141] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [142] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [143] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [144] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [145] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [146] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [147] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [148] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [149] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [150] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [151] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [152] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [153] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [154] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [155] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [156] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [157] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [158] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [159] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [160] '*ｰ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0xfc, 0xfe, 0x06, 0x06, 0x06, 0x06, 0xfe, 0xfc, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x01, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [161] '*｡'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [162] '*｢'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [163] '*｣'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x30, 0x30, 0x60, 0x60, 0xc0, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, // [164] '*､'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xe0, 0xc0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x03, 0x07, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [165] '*･'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0xfe, 0x7e, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x81, 0xc1, 0x61, 0x3d, 0x0f, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [166] '*ｦ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x0c, 0x0c, 0x8c, 0xec, 0x0c, 0xcc, 0xfc, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0x3f, 0x07, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [167] '*ｧ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0xc0, 0xe0, 0xf0, 0x1c, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x7f, 0x7f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [168] '*ｨ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xe0, 0x20, 0x20, 0x3c, 0x20, 0x20, 0xe0, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x80, 0x80, 0xe0, 0x38, 0x0f, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [169] '*ｩ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x08, 0x08, 0x08, 0xf8, 0x08, 0x08, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x40, 0x40, 0x40, 0x7f, 0x40, 0x40, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [170] '*ｪ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x20, 0x20, 0x20, 0xa0, 0xfc, 0xfc, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x30, 0x18, 0x8e, 0x83, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [171] '*ｫ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x40, 0x4e, 0xfe, 0x20, 0x30, 0x10, 0xf0, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xf8, 0x00, 0x07, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [172] '*ｬ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x08, 0x08, 0x08, 0xf8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x40, 0x40, 0x40, 0x40, 0x40, 0x7f, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [173] '*ｭ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x04, 0x04, 0x04, 0x04, 0x04, 0xfc, 0xfc, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x40, 0x41, 0x41, 0x41, 0x41, 0x7f, 0x7f, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [174] '*ｮ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xf8, 0xc0, 0x00, 0xfc, 0x00, 0x00, 0xfc, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x41, 0x40, 0x61, 0x30, 0x1f, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [175] '*ｯ'
   0x00, 0x00, 0x70, 0xd8, 0x8c, 0x04, 0x8c, 0xd8, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [176] '°'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x06, 0x06, 0x06, 0x06, 0xe6, 0x06, 0x86, 0xf6, 0x3e, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0x7c, 0x07, 0x00, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [177] '*ｱ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0x60, 0xf0, 0xf8, 0x0c, 0x07, 0x01, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [178] '*ｲ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0xf8, 0xf8, 0x08, 0x08, 0x0f, 0x08, 0x08, 0xf8, 0xf8, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x03, 0x03, 0x00, 0x00, 0x80, 0xc0, 0x70, 0x3f, 0x07, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [179] '*ｳ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x06, 0x06, 0x06, 0xfe, 0x06, 0x06, 0x06, 0x06, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x80, 0x80, 0x80, 0x80, 0xff, 0x80, 0x80, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [180] '*ｴ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x08, 0x08, 0x08, 0x08, 0xc8, 0x78, 0xff, 0x08, 0x08, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x30, 0x38, 0x0e, 0x07, 0x01, 0x80, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [181] '*ｵ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x08, 0x08, 0x08, 0xff, 0x08, 0x08, 0x08, 0xf8, 0xf8, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xe0, 0x7f, 0x0f, 0x00, 0x00, 0x80, 0xff, 0x1f, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, // [182] '*ｶ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x18, 0x18, 0x18, 0x1f, 0xff, 0x18, 0x18, 0x18, 0x08, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x08, 0x08, 0x08, 0x08, 0xff, 0xf8, 0x0c, 0x0c, 0x0c, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [183] '*ｷ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xe0, 0x7f, 0x07, 0x04, 0x04, 0x04, 0xfc, 0x1c, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x03, 0x80, 0x80, 0xc0, 0x70, 0x3e, 0x0f, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [184] '*ｸ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0x0f, 0x08, 0x08, 0xf8, 0xf8, 0x08, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x00, 0x80, 0xe0, 0x3f, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [185] '*ｹ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x7f, 0x7f, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [186] '*ｺ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x10, 0xff, 0xff, 0x10, 0x10, 0x10, 0xff, 0xff, 0x10, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 0x80, 0x80, 0xe0, 0x7f, 0x07, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [187] '*ｻ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x40, 0xc3, 0xc2, 0x86, 0x06, 0x00, 0x00, 0xc0, 0xf8, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0xc0, 0x70, 0x3c, 0x0f, 0x01, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x03, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [188] '*ｼ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x06, 0x06, 0x06, 0x06, 0xc6, 0xfe, 0x3e, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x80, 0xc0, 0x60, 0x38, 0x0e, 0x0f, 0x3d, 0xf0, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, // [189] '*ｽ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x60, 0x20, 0xff, 0xff, 0x30, 0x18, 0x18, 0xc8, 0xfc, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0x06, 0x07, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, // [190] '*ｾ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x04, 0xfc, 0xe0, 0x00, 0x00, 0x00, 0x00, 0xfe, 0xfe, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x80, 0xe0, 0x7c, 0x0f, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [191] '*ｿ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0x0f, 0x0c, 0x0c, 0x0c, 0xfc, 0xfc, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x02, 0x07, 0x00, 0x01, 0x83, 0xe6, 0x7c, 0x1f, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [192] '*ﾀ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x08, 0x08, 0x08, 0xfc, 0xfc, 0x04, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x02, 0x02, 0x02, 0x82, 0xff, 0x1f, 0x02, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x02, 0x07, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [193] '*ﾁ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x1c, 0xfc, 0x00, 0x06, 0xfe, 0x80, 0x00, 0xe0, 0xfe, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x80, 0xc1, 0xe1, 0x38, 0x0f, 0x01, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [194] '*ﾂ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x40, 0x41, 0x41, 0x41, 0xc1, 0x41, 0x41, 0x41, 0x40, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0x60, 0x3f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [195] '*ﾃ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0x40, 0xc0, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x01, 0x01, 0x03, 0x06, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [196] '*ﾄ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x60, 0x60, 0x60, 0x60, 0xff, 0x60, 0x60, 0x60, 0x60, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [197] '*ﾅ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x04, 0x04, 0x04, 0x04, 0x04, 0x04, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, // [198] '*ﾆ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x02, 0xc2, 0x82, 0x02, 0x02, 0x82, 0xfe, 0x1e, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0x61, 0x33, 0x1e, 0x33, 0xe1, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [199] '*ﾇ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x04, 0x04, 0x04, 0x04, 0x07, 0x04, 0xc4, 0x74, 0x1c, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x20, 0x30, 0x18, 0x0c, 0xfe, 0x07, 0x0d, 0x38, 0x60, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [200] '*ﾈ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0x7f, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xe0, 0x78, 0x1e, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [201] '*ﾉ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xe0, 0xff, 0x00, 0x00, 0x01, 0x3f, 0xf8, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0xf0, 0x7f, 0x03, 0x00, 0x00, 0x00, 0x00, 0x1f, 0xfe, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [202] '*ﾊ'
   0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0x60, 0x20, 0x30, 0x10, 0x18, 0x0c, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x7f, 0xff, 0x80, 0x80, 0x80, 0x80, 0x80, 0xc0, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [203] '*ﾋ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0xfc, 0xfc, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xe0, 0x7c, 0x1f, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x02, 0x03, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [204] '*ﾌ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xc0, 0x78, 0x0c, 0x1c, 0x78, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x08, 0x0e, 0x03, 0x00, 0x00, 0x00, 0x00, 0x03, 0x0f, 0x7c, 0x20, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [205] '*ﾍ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x0c, 0x8c, 0x8c, 0x0c, 0xff, 0x0c, 0x0c, 0x8c, 0x0c, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x78, 0x1f, 0x01, 0x00, 0xff, 0x00, 0x00, 0x0f, 0x7c, 0x40, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [206] '*ﾎ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0xc6, 0xfe, 0x1e, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x0f, 0x3c, 0xf8, 0x8e, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [207] '*ﾏ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xc1, 0xc1, 0xc1, 0xc3, 0x83, 0x83, 0x82, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x60, 0x60, 0x60, 0x40, 0xc0, 0xc0, 0xc1, 0x81, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, // [208] '*ﾐ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0xf0, 0xff, 0x00, 0x00, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0xc0, 0xf8, 0xff, 0xc0, 0x40, 0x60, 0x61, 0x7f, 0xf8, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [209] '*ﾑ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x08, 0x38, 0x70, 0xc0, 0xe0, 0x7f, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x80, 0xc0, 0x70, 0x3c, 0x0f, 0x07, 0x0e, 0x38, 0x20, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [210] '*ﾒ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x80, 0x81, 0x81, 0xff, 0x81, 0x81, 0x81, 0x81, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0x80, 0x80, 0x80, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [211] '*ﾓ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x20, 0x20, 0x7f, 0xf8, 0x18, 0x08, 0x0c, 0xc4, 0x7e, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xf0, 0x00, 0x06, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [212] '*ﾔ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x02, 0x02, 0x02, 0xfe, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0xff, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [213] '*ﾕ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [214] '*ﾖ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x20, 0x21, 0x21, 0x21, 0x21, 0x21, 0x21, 0xe1, 0xe0, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0xc0, 0x60, 0x38, 0x1f, 0x03, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [215] '*ﾗ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x00, 0x80, 0xc0, 0x70, 0x1f, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [216] '*ﾘ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x80, 0xff, 0x00, 0x00, 0x00, 0xff, 0x80, 0xe0, 0x7e, 0x0f, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x03, 0x01, 0x00, 0x00, 0x00, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [217] '*ﾙ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x80, 0xc0, 0x70, 0x3e, 0x07, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x03, 0x03, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [218] '*ﾚ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0xfe, 0xfe, 0x06, 0x06, 0x06, 0x06, 0x06, 0xfe, 0xfe, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0xff, 0xff, 0x80, 0x80, 0x80, 0x80, 0x80, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, // [219] '*ﾛ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0xff, 0xff, 0x03, 0x03, 0x03, 0x03, 0x03, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xc0, 0xc0, 0x60, 0x38, 0x1f, 0x01, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [220] '*ﾜ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x06, 0x0c, 0x38, 0x10, 0x00, 0x00, 0xc0, 0xf8, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0xc0, 0x60, 0x70, 0x1c, 0x07, 0x01, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [221] '*ﾝ'
   0x00, 0x3f, 0x3f, 0x00, 0x00, 0x3f, 0x3f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [222] '*ﾞ'
   0x00, 0x7e, 0xff, 0xc3, 0xc3, 0xc3, 0xff, 0x7e, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [223] '*ﾟ'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [224] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [225] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [226] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [227] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [228] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [229] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [230] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [231] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [232] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [233] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [234] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [235] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [236] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [237] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [238] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [239] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [240] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [241] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [242] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [243] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [244] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [245] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [246] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [247] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [248] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [249] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [250] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [251] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [252] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [253] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // [254] 'FREE'
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00  // [255] 'FREE'
};


#endif // ! PLATFORM_GD77S

#endif // ! CHAR_CONSTANT_ONLY

#endif /* _OPENGD77_UC1701_CHARSET_H_ */
